Bug 584400 - [abrt] crash in kdebase-runtime-4.4.2-2.fc13 when indexing an rpm file: Process /usr/bin/nepomukservicestub was killed by signal 11 (SIGSEGV)
[abrt] crash in kdebase-runtime-4.4.2-2.fc13 when indexing an rpm file: Proce...
Status: CLOSED DUPLICATE of bug 609541
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:0c40cb89bef1fbacdf440013089...
:
: 579281 582040 582041 583393 585187 587497 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 10:16 EDT by moabi2000
Modified: 2010-07-16 04:15 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 04:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.86 KB, text/plain)
2010-04-21 10:16 EDT, moabi2000
no flags Details

  None (edit)
Description moabi2000 2010-04-21 10:16:06 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/nepomukservicestub nepomukstrigiservice
component: kdebase-runtime
executable: /usr/bin/nepomukservicestub
global_uuid: 0c40cb89bef1fbacdf440013089f833fb6570d57
kernel: 2.6.33.2-35.fc13.x86_64
package: kdebase-runtime-4.4.2-2.fc13
rating: 3
reason: Process /usr/bin/nepomukservicestub was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Crash reported repeatedly whenever nepomuk is enabled and strigi is active, even with a clean user account created just for testing this. I am running F13 beta, with most recent kde, virtuoso and qt packages.

Apologies for incomplete backtrace, some kde debuginfo packages appear to be missing.

M.

How to reproduce
-----
1.Create a new user.
2. Log in to KDE.
3. Make sure nepomuk is enabled and activate strigi indexing.
Comment 1 moabi2000 2010-04-21 10:16:45 EDT
Created attachment 408081 [details]
File: backtrace
Comment 2 moabi2000 2010-04-21 10:19:08 EDT
Package: kdebase-runtime-4.4.2-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Create a new user.
2. Log in to KDE.
3. Make sure nepomuk is enabled and activate strigi indexing.



Comment
-----
Crash reported repeatedly whenever nepomuk is enabled and strigi is active, even with a clean user account created just for testing this. I am running F13 beta, with most recent kde, virtuoso and qt packages.

Apologies for incomplete backtrace, some kde debuginfo packages appear to be missing.

M.
Comment 3 moabi2000 2010-04-23 04:40:14 EDT
Debuginfo packages now in the repos, here is a complete backtrace:

warning: core file may not match specified executable file.
[New Thread 3022]
[New Thread 3019]
Core was generated by `/usr/bin/nepomukservicestub nepomukstrigiservice'.
Program terminated with signal 11, Segmentation fault.
#0  inflateEnd (strm=0x7fbe38349250) at inflate.c:1162
1162	    if (state->window != Z_NULL) ZFREE(strm, state->window);

Thread 2 (Thread 3019):
#0  0x00007fbe48b4e623 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 8
        _a3 = 14080
        _a1 = 25826656
        resultvar = <value optimized out>
        __arg3 = 14080
        __arg1 = 25826656
        _a2 = 8
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003d35e3f849 in g_main_context_poll (context=0x14df120, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2904
        poll_func = 0x3d35e4c930 <IA__g_poll>
#2  g_main_context_iterate (context=0x14df120, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>)
    at gmain.c:2586
        max_priority = 2147483647
        timeout = 14080
        some_ready = <value optimized out>
        nfds = 8
        allocated_nfds = <value optimized out>
        fds = 0x18a1560
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0000003d35e3fc9c in IA__g_main_context_iteration (context=0x14df120, 
    may_block=1) at gmain.c:2654
        retval = <value optimized out>
#4  0x00007fbe4a50c603 in QEventDispatcherGlib::processEvents (this=
    0x14c5f40, flags=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:412
        d = 0x14dc750
        canWait = <value optimized out>
        result = <value optimized out>
#5  0x00007fbe492c79de in QGuiEventDispatcherGlib::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
        d = 0x14dc750
        returnValue = 252
#6  0x00007fbe4a4e5722 in QEventLoop::processEvents (
    this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
        d = 0x155a140
#7  0x00007fbe4a4e59ec in QEventLoop::exec (this=0x7fff73851470, flags=...)
    at kernel/qeventloop.cpp:201
        d = 0x155a140
        app = 0x7fff73851690
#8  0x00007fbe4a4e7cd9 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:981
        threadData = 0x14c6850
        eventLoop = {<QObject> = {_vptr.QObject = 0x7fbe4a7f1ed0, 
            static staticMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x7fbe4a5830c0 "QObject", data = 0x7fbe4a583160, 
                extradata = 0x7fbe4a7e9740}}, d_ptr = {d = 0x155a140}, 
            static staticQtMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x7fbe4a58bd40 "Qt", data = 0x7fbe4a58f360, 
                extradata = 0x0}}}, static staticMetaObject = {d = {
              superdata = 0x605880, stringdata = 0x7fbe4a594e20 "QEventLoop", 
              data = 0x7fbe4a594e40, extradata = 0x0}}}
        returnCode = <value optimized out>
#9  0x00000000004037cc in main (argc=2, argv=0x7fff73851a78)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/servicestub/main.cpp:152
        aboutData = {d = 0x14c7e60}
        app = {<QCoreApplication> = {<QObject> = {
              _vptr.QObject = 0x7fbe49c728f0, static staticMetaObject = {d = {
                  superdata = 0x0, stringdata = 0x7fbe4a5830c0 "QObject", 
                  data = 0x7fbe4a583160, extradata = 0x7fbe4a7e9740}}, 
              d_ptr = {d = 0x14dc4d0}, static staticQtMetaObject = {d = {
                  superdata = 0x0, stringdata = 0x7fbe4a58bd40 "Qt", 
                  data = 0x7fbe4a58f360, extradata = 0x0}}}, 
            static staticMetaObject = {d = {superdata = 0x605880, 
                stringdata = 0x7fbe4a594ec0 "QCoreApplication", 
                data = 0x7fbe4a594f60, extradata = 0x0}}, 
            static self = 0x7fff73851690}, static staticMetaObject = {d = {
              superdata = 0x7fbe4a7f1f60, 
              stringdata = 0x7fbe49869040 "QApplication", 
              data = 0x7fbe49869280, extradata = 0x0}}}
        serviceName = {static null = {<No data fields>}, 
          static shared_null = {ref = {_q_value = 24675}, alloc = 0, 
            size = 0, data = 0x7fbe4a7f3e3a, clean = 0, simpletext = 0, 
            righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, 
            array = {0}}, static shared_empty = {ref = {_q_value = 52}, 
            alloc = 0, size = 0, data = 0x7fbe4a7f3e5a, clean = 0, 
            simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
            reserved = 0, array = {0}}, d = 0x15223e0, 
          static codecForCStrings = 0x0}
        compData = {_vptr.KComponentData = 0x3db7663010, d = 0x14e0370}
        dependencies = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x605980}, 
              d = 0x605980}}, <No data fields>}
        control = 0x1569a30
        options = {d = 0x14c8810}
        args = <value optimized out>
        s = {_vptr.QTextStream = 0x7fbe4a7ee530, d_ptr = {d = 0x152d480}}
        services = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x155bfd0}, d = 0x155bfd0}}
        service = {d = 0x156a4c0}

Thread 1 (Thread 3022):
#0  inflateEnd (strm=0x7fbe38349250) at inflate.c:1162
No locals.
#1  0x0000003d4721d46d in Strigi::GZipInputStream::Private::dealloc (
    this=0x7fbe38349240)
    at /usr/src/debug/strigi-0.7.2/src/streams/gzipinputstream.cpp:97
No locals.
#2  0x0000003d4721d4b4 in Strigi::GZipInputStream::~GZipInputStream (
    this=0x7fbe383491e0, __in_chrg=<value optimized out>)
    at /usr/src/debug/strigi-0.7.2/src/streams/gzipinputstream.cpp:90
No locals.
#3  0x0000003d4721d549 in Strigi::GZipInputStream::~GZipInputStream (
    this=0x7fbe383491e0, __in_chrg=<value optimized out>)
    at /usr/src/debug/strigi-0.7.2/src/streams/gzipinputstream.cpp:91
No locals.
#4  0x0000003d472283e6 in Strigi::RpmInputStream::~RpmInputStream (
    this=0x7fbe3f8c3c50, __in_chrg=<value optimized out>)
    at /usr/src/debug/strigi-0.7.2/src/streams/rpminputstream.cpp:147
No locals.
#5  0x0000003d47e4b2ed in RpmEndAnalyzer::analyze (this=0x7fbe38097cd0, 
    idx=<value optimized out>, in=0x7fbe38327dc0)
    at /usr/src/debug/strigi-0.7.2/src/streamanalyzer/endanalyzers/rpmendanalyzer.cpp:87
        rpm = {<Strigi::SubStreamProvider> = {
            _vptr.SubStreamProvider = 0x3d47436ab0, m_status = Strigi::Error, 
            m_error = "Magic bytes for gz are wrong.", 
            m_input = 0x7fbe38327dc0, m_entrystream = 0x0, m_entryinfo = warning: can't find linker symbol for virtual table for `Strigi::EntryInfo' value
warning:   found `std::basic_string<char, std::char_traits<char>, std::allocator<char> >::_Rep::_S_empty_rep_storage' instead
{
              filename = "", properties = std::map with 0 elements
    Traceback (most recent call last):
  File "/usr/lib64/../share/gdb/python/libstdcxx/v6/printers.py", line 374, in children
    nodetype = gdb.lookup_type('std::_Rb_tree_node< std::pair< %s, %s > >' % (keytype, valuetype))
RuntimeError: No type named std::_Rb_tree_node< std::pair< const std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::basic_string<char, std::char_traits<char>, std::allocator<char> > > >.
, size = -1, mtime = 0, type = Strigi::EntryInfo::Unknown}}, 
          uncompressionStream = 0x7fbe383491e0, cpio = 0x0, 
          entryCompressedSize = 939552144, compressionMethod = 32702, 
          headerinfo = 0x0}
#6  0x0000003d47e34f02 in Strigi::StreamAnalyzerPrivate::analyze (
    this=<value optimized out>, idx=..., input=0x7fbe38327dc0)
    at /usr/src/debug/strigi-0.7.2/src/streamanalyzer/streamanalyzer.cpp:421
        ar = <value optimized out>
        sea = 0x7fbe38097cd0
        finished = <value optimized out>
        headersize = 1024
        es = <value optimized out>
        header = 0x7fbe378ef010 "\355\253\356\333\003"
        itersize = <value optimized out>
#7  0x00007fbe413cbd7a in Nepomuk::IndexScheduler::analyzeFile (
    this=0x16246f0, file=<value optimized out>, analyzer=0x7fbe3f8c4d20)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:424
        stream = 
    {<Strigi::BufferedStream<char>> = {<Strigi::StreamBase<char>> = {<Strigi::StreamBaseBase> = {_vptr.StreamBaseBase = 0x3d47436690, m_size = 13666348, 
                m_position = 32824, m_error = "", 
                m_status = Strigi::Ok}, <No data fields>}, buffer = {
              start = 0x7fbe378ef010 "\355\253\356\333\003", size = 1048576, 
              readPos = 0x7fbe378f7048 "\375\067zXZ", avail = 728}, 
            finishedWritingToBuffer = false}, file = 0x7fbe3832b2f0, 
          filepath = 
    "/home/malc/rpmbuild/RPMS/x86_64/xorg-x11-drv-nvidia-libs-195.36.15-1.fc13.x86_64.rpm", static defaultBufferSize = 1048576}
        filePath = {static null = {<No data fields>}, static shared_null = {
            ref = {_q_value = 24675}, alloc = 0, size = 0, 
            data = 0x7fbe4a7f3e3a, clean = 0, simpletext = 0, 
            righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, 
            array = {0}}, static shared_empty = {ref = {_q_value = 52}, 
            alloc = 0, size = 0, data = 0x7fbe4a7f3e5a, clean = 0, 
            simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
            reserved = 0, array = {0}}, d = 0x7fbe38328610, 
          static codecForCStrings = 0x0}
        dir = {static null = {<No data fields>}, static shared_null = {ref = {
              _q_value = 24675}, alloc = 0, size = 0, data = 0x7fbe4a7f3e3a, 
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, 
            capacity = 0, reserved = 0, array = {0}}, static shared_empty = {
            ref = {_q_value = 52}, alloc = 0, size = 0, 
            data = 0x7fbe4a7f3e5a, clean = 0, simpletext = 0, 
            righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, 
            array = {0}}, d = 0x7fbe383282d0, static codecForCStrings = 0x0}
        analysisresult = {p = 0x7fbe3832a390}
#8  0x00007fbe413cccd2 in Nepomuk::IndexScheduler::updateDir (this=0x16246f0, 
    dir=<value optimized out>, analyzer=0x7fbe3f8c4d20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:386
        file = @0x7fbe3832a148
        _container_ = {c = {{p = {static shared_null = {ref = {_q_value = 1}, 
                  alloc = 0, begin = 0, end = 0, sharable = 1, array = {
                    0x0}}, d = 0x7fbe3832a130}, d = 0x7fbe3832a130}}, 
          brk = 0, i = {i = 0x7fbe3832a148}, e = {i = 0x7fbe3832a178}}
        dirInfo = {d_ptr = {d = 0x7fbe382d5710}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x605980}, 
              d = 0x605980}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fbe38251540}, 
              d = 0x7fbe38251540}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fbe383276c0}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3dbdc86530, m_data = 0x7fbe38327770, 
          d = 0x13f8c4230}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x7fbe3832a130}, d = 0x7fbe3832a130}}
        dirIt = {_vptr.QDirIterator = 0x7fbe4a7eddd0, d = {
            d = 0x7fbe38328390}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fbe38325210, e = 0x7fbe38325210}}
#9  0x00007fbe413cd154 in Nepomuk::IndexScheduler::updateDir (this=0x16246f0, 
    dir=<value optimized out>, analyzer=0x7fbe3f8c4d20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fbe38326048
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fbe38326030}, 
                d = 0x7fbe38326030}}, <No data fields>}, brk = 0, i = {
            i = 0x7fbe38326048}, e = {i = 0x7fbe38326058}}
        dirInfo = {d_ptr = {d = 0x7fbe382e69b0}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fbe38326030}, 
              d = 0x7fbe38326030}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fbe38320260}, 
              d = 0x7fbe38320260}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fbe3832df80}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3dbdc86530, m_data = 0x7fbe3832e030, 
          d = 0x13f8c4580}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x605980}, d = 0x605980}}
        dirIt = {_vptr.QDirIterator = 0x7fbe4a7eddd0, d = {
            d = 0x7fbe38326280}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fbe38325f70, e = 0x7fbe38325f70}}
#10 0x00007fbe413cd154 in Nepomuk::IndexScheduler::updateDir (this=0x16246f0, 
    dir=<value optimized out>, analyzer=0x7fbe3f8c4d20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fbe382a8bc8
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fbe382a8b90}, 
                d = 0x7fbe382a8b90}}, <No data fields>}, brk = 0, i = {
            i = 0x7fbe382a8bc8}, e = {i = 0x7fbe382a8bd8}}
        dirInfo = {d_ptr = {d = 0x7fbe380fb150}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fbe382a8b90}, 
              d = 0x7fbe382a8b90}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fbe38212910}, 
              d = 0x7fbe38212910}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fbe3829f8b0}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3dbdc86530, m_data = 0x7fbe382172e0, 
          d = 0x13f8c48d0}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x605980}, d = 0x605980}}
        dirIt = {_vptr.QDirIterator = 0x7fbe4a7eddd0, d = {
            d = 0x7fbe3824d620}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fbe38248a10, e = 0x7fbe38248a10}}
#11 0x00007fbe413cd154 in Nepomuk::IndexScheduler::updateDir (this=0x16246f0, 
    dir=<value optimized out>, analyzer=0x7fbe3f8c4d20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fbe3809d310
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fbe3809d2b0}, 
                d = 0x7fbe3809d2b0}}, <No data fields>}, brk = 0, i = {
            i = 0x7fbe3809d310}, e = {i = 0x7fbe3809d360}}
        dirInfo = {d_ptr = {d = 0x7fbe38076360}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fbe3809d2b0}, 
              d = 0x7fbe3809d2b0}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fbe3809cdc0}, 
              d = 0x7fbe3809cdc0}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fbe380765d0}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3dbdc86530, m_data = 0x7fbe38076680, 
          d = 0xee3675ff}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x605980}, d = 0x605980}}
        dirIt = {_vptr.QDirIterator = 0x7fbe4a7eddd0, d = {
            d = 0x7fbe380c35a0}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fbe38089290, e = 0x7fbe38089290}}
#12 0x00007fbe413cefe5 in Nepomuk::IndexScheduler::run (this=0x16246f0)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:288
        dir = {first = {static null = {<No data fields>}, 
            static shared_null = {ref = {_q_value = 24675}, alloc = 0, 
              size = 0, data = 0x7fbe4a7f3e3a, clean = 0, simpletext = 0, 
              righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, 
              array = {0}}, static shared_empty = {ref = {_q_value = 52}, 
              alloc = 0, size = 0, data = 0x7fbe4a7f3e5a, clean = 0, 
              simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
              reserved = 0, array = {0}}, d = 0x16a63c0, 
            static codecForCStrings = 0x0}, second = {i = 3}}
        analyzer = {p = 0x7fbe38006d90}
#13 0x00007fbe4a3ff995 in QThreadPrivate::start (arg=0x16246f0)
    at thread/qthread_unix.cpp:248
        thr = 0x16246f0
        data = 0x162dc60
#14 0x00007fbe4a179951 in start_thread (arg=0x7fbe3f8c5710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fbe3f8c5710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140455086675728, 
                -4253037804321444540, 140735131485824, 140455086676432, 0, 3, 
                4289207770933947716, 4289318596807290180}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#15 0x00007fbe48b57d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.
From                To                  Syms Read   Shared Object Library
0x00007fbe4a3e6e10  0x00007fbe4a53cc28  Yes         /usr/lib64/libQtCore.so.4.6.2
0x00007fbe4a177690  0x00007fbe4a1835d8  Yes         /lib64/libpthread-2.11.90.so
0x00007fbe49f132e0  0x00007fbe49f5a538  Yes         /usr/lib64/libQtDBus.so.4.6.2
0x0000003db728e3e0  0x0000003db73f26a8  Yes         /usr/lib64/libkdecore.so.5.4.0
0x0000003db7d454d0  0x0000003db7f40fe8  Yes         /usr/lib64/libkdeui.so.5.4.0
0x0000003dbda21710  0x0000003dbda6c608  Yes         /usr/lib64/libnepomuk.so.4.4.0
0x0000003d4e840360  0x0000003d4e8a50f8  Yes         /usr/lib64/libsoprano.so.4.3.0
0x00007fbe49cbea10  0x00007fbe49cf0208  Yes         /usr/lib64/libQtSvg.so.4.6.2
0x00007fbe4921b580  0x00007fbe49867928  Yes         /usr/lib64/libQtGui.so.4.6.2
0x0000003d35a56410  0x0000003d35ac2d06  Yes         /usr/lib64/libstdc++.so.6.0.13
0x00007fbe48dfdef0  0x00007fbe48e3e008  Yes         /lib64/libm-2.11.90.so
0x0000003d35602910  0x0000003d35612e78  Yes         /lib64/libgcc_s-4.4.3-20100409.so.1
0x00007fbe48a919a0  0x00007fbe48ba2620  Yes         /lib64/libc-2.11.90.so
0x0000003d34201ef0  0x0000003d3420d228  Yes         /lib64/libz.so.1.2.3
0x00007fbe4886fde0  0x00007fbe48870998  Yes         /lib64/libdl-2.11.90.so
0x0000003d39601590  0x0000003d396029f8  Yes         /lib64/libgthread-2.0.so.0.2400.0
0x00007fbe48668190  0x00007fbe4866b7d8  Yes         /lib64/librt-2.11.90.so
0x0000003d35e155c0  0x0000003d35e99c98  Yes         /lib64/libglib-2.0.so.0.2400.0
0x00007fbe4a7f5af0  0x00007fbe4a80e8e4  Yes         /lib64/ld-2.11.90.so
0x00007fbe48434300  0x00007fbe48456e98  Yes         /usr/lib64/libQtXml.so.4.6.2
0x0000003d39e07090  0x0000003d39e2e4c8  Yes (*)     /lib64/libdbus-1.so.3
0x00007fbe481382a0  0x00007fbe481ce2b8  Yes         /usr/lib64/libQtNetwork.so.4.6.2
0x0000003d3b601630  0x0000003d3b60dcc8  Yes (*)     /lib64/libbz2.so.1
0x0000003d3e2025d0  0x0000003d3e2169a8  Yes (*)     /usr/lib64/liblzma.so.0
0x00007fbe47ef6910  0x00007fbe47f05468  Yes         /lib64/libresolv-2.11.90.so
0x0000003d3a6019f0  0x0000003d3a6062a8  Yes         /usr/lib64/libSM.so.6.0.0
0x0000003d3a204d70  0x0000003d3a213778  Yes         /usr/lib64/libICE.so.6.3.0
0x0000003d36a1dd80  0x0000003d36aab938  Yes         /usr/lib64/libX11.so.6.3.0
0x0000003d3ba03580  0x0000003d3ba0e768  Yes         /usr/lib64/libXext.so.6.4.0
0x0000003d40404030  0x0000003d40411008  Yes         /usr/lib64/libXft.so.2.1.13
0x0000003d36200dd0  0x0000003d36201b68  Yes         /usr/lib64/libXau.so.6.0.0
0x0000003d3f402f60  0x0000003d3f40ea48  Yes         /usr/lib64/libXpm.so.4.11.0
0x0000003d416013b0  0x0000003d416043b8  Yes         /usr/lib64/libXtst.so.6.1.0
0x0000003d3d202880  0x0000003d3d207678  Yes         /usr/lib64/libXcursor.so.1.0.2
0x0000003d3ce01370  0x0000003d3ce04178  Yes         /usr/lib64/libXfixes.so.3.1.0
0x0000003d3c6018c0  0x0000003d3c607f58  Yes         /usr/lib64/libXrender.so.1.3.0
0x0000003d51c0e8a0  0x0000003d51c34bc8  Yes         /usr/lib64/libsopranoclient.so.1.2.0
0x0000003d37204830  0x0000003d3721e7a8  Yes         /usr/lib64/libpng12.so.0.43.0
0x0000003d3ae0c850  0x0000003d3ae745a8  Yes         /usr/lib64/libfreetype.so.6.3.22
0x0000003d3aa08d20  0x0000003d3aa32a88  Yes         /lib64/libgobject-2.0.so.0.2400.0
0x0000003d3ca01eb0  0x0000003d3ca0c608  Yes         /usr/lib64/libXi.so.6.1.0
0x0000003d3da01720  0x0000003d3da06828  Yes         /usr/lib64/libXrandr.so.2.2.0
0x0000003d3de00a20  0x0000003d3de01508  Yes         /usr/lib64/libXinerama.so.1.0.0
0x0000003d3c205c80  0x0000003d3c21ff28  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x0000003d39a14420  0x0000003d39a45eb8  Yes (*)     /usr/lib64/libssl.so.10
0x0000003d3865c900  0x0000003d38720cb8  Yes (*)     /usr/lib64/libcrypto.so.10
0x0000003d392014b0  0x0000003d39202be8  Yes (*)     /lib64/libuuid.so.1
0x0000003d36608650  0x0000003d36613898  Yes (*)     /usr/lib64/libxcb.so.1
0x0000003d37603b70  0x0000003d3761ca08  Yes (*)     /lib64/libexpat.so.1
0x0000003d38206c00  0x0000003d38227268  Yes (*)     /lib64/libgssapi_krb5.so.2
0x0000003d38e18540  0x0000003d38e73f18  Yes (*)     /lib64/libkrb5.so.3
0x0000003d36e01220  0x0000003d36e01d08  Yes (*)     /lib64/libcom_err.so.2
0x0000003d37a055c0  0x0000003d37a1e6b8  Yes (*)     /lib64/libk5crypto.so.3
0x0000003d38a026c0  0x0000003d38a067b8  Yes (*)     /lib64/libkrb5support.so.0
0x0000003d37e00aa0  0x0000003d37e00fa8  Yes (*)     /lib64/libkeyutils.so.1
0x0000003d34e05550  0x0000003d34e15038  Yes (*)     /lib64/libselinux.so.1
0x00007fbe41e5e5d0  0x00007fbe41e5fff8  Yes         /usr/lib64/gconv/UTF-16.so
0x00007fbe41c59660  0x00007fbe41c5c458  Yes         /usr/lib64/kde4/plugins/gui_platform/libkde.so
0x0000003db90b0eb0  0x0000003db92254e8  Yes         /usr/lib64/libkio.so.5.4.0
0x0000003d47e17280  0x0000003d47e59718  Yes         /usr/lib64/libstreamanalyzer.so.0.7.2
0x0000003d4720fff0  0x0000003d4722d738  Yes         /usr/lib64/libstreams.so.0.7.2
0x0000003db9627a10  0x0000003db966b228  Yes         /usr/lib64/libsolid.so.4.4.0
0x0000003d47601770  0x0000003d47605038  Yes (*)     /usr/lib64/libfam.so.0
0x0000003d45001d30  0x0000003d45005c08  Yes (*)     /lib64/libacl.so.1
0x0000003d42c01350  0x0000003d42c03448  Yes (*)     /lib64/libattr.so.1
0x0000003d3b22c950  0x0000003d3b309048  Yes         /usr/lib64/libxml2.so.2.7.7
0x00007fbe41a48160  0x00007fbe41a50418  Yes         /lib64/libnss_files-2.11.90.so
0x00007fbe417e2af0  0x00007fbe418358f8  Yes         /usr/lib64/kde4/plugins/styles/oxygen.so
0x00007fbe413c8890  0x00007fbe413daf28  Yes         /usr/lib64/kde4/nepomukstrigiservice.so
0x0000003db8420fb0  0x0000003db8449938  Yes         /usr/lib64/libkutils.so.4.4.0
0x0000003db9a1eca0  0x0000003db9a3ad58  Yes         /usr/lib64/libkparts.so.4.4.0
0x0000003d49800be0  0x0000003d49801c08  Yes         /usr/lib64/libXss.so.1.0.0
0x00007fbe411a64f0  0x00007fbe411b5e48  Yes         /usr/lib64/strigi/strigiindex_clucene.so
0x00007fbe40ee08d0  0x00007fbe40f49ef8  Yes (*)     /usr/lib64/libclucene.so.0
0x00007fbe40c611d0  0x00007fbe40c6aa78  Yes         /usr/lib64/strigi/strigiindex_nepomukbackend.so
0x00007fbe3ecc26b0  0x00007fbe3ecc3338  Yes         /usr/lib64/strigi/strigita_sid.so
0x00007fbe3eabb010  0x00007fbe3eabee78  Yes         /usr/lib64/strigi/strigita_font.so
0x0000003db6605230  0x0000003db660f888  Yes         /usr/lib64/libkfontinst.so.4.4.0
0x00007fbe3e8b68e0  0x00007fbe3e8b6ac8  Yes         /usr/lib64/strigi/strigita_wav.so
0x00007fbe3e6b3470  0x00007fbe3e6b4758  Yes         /usr/lib64/strigi/strigita_dds.so
0x00007fbe3e4b0400  0x00007fbe3e4b0b98  Yes         /usr/lib64/strigi/strigila_txt.so
0x00007fbe3e2ad530  0x00007fbe3e2ae068  Yes         /usr/lib64/strigi/strigila_cpp.so
0x00007fbe3e0a9360  0x00007fbe3e0aa458  Yes (*)     /usr/lib64/strigi/strigiea_ics.so
0x0000003dbba49c40  0x0000003dbbae98d8  Yes         /usr/lib64/libkcal.so.4.4.0
0x0000003db882c510  0x0000003db887ddb8  Yes         /usr/lib64/libkabc.so.4.4.0
0x0000003dbaa0d060  0x0000003dbaa1c358  Yes         /usr/lib64/libkresources.so.4.4.0
0x0000003dbb605140  0x0000003dbb610d58  Yes         /usr/lib64/libkpimutils.so.4.4.0
0x0000003d46e194f0  0x0000003d46e42668  Yes (*)     /usr/lib64/libical.so.0
0x0000003d45c07730  0x0000003d45c0f978  Yes (*)     /usr/lib64/libicalss.so.0
0x0000003db8c147a0  0x0000003db8c2ef18  Yes         /usr/lib64/libkldap.so.4.4.0
0x0000003dbb225e50  0x0000003dbb255208  Yes         /usr/lib64/libkmime.so.4.4.0
0x0000003db6e0d0b0  0x0000003db6e35de8  Yes (*)     /usr/lib64/libldap-2.4.so.2
0x0000003d40803400  0x0000003d4080a438  Yes (*)     /usr/lib64/liblber-2.4.so.2
0x0000003db78046a0  0x0000003db7814508  Yes (*)     /usr/lib64/libsasl2.so.2
0x00007fbe3de70c50  0x00007fbe3de75c18  Yes         /lib64/libcrypt-2.11.90.so
0x0000003db6a031a0  0x0000003db6a3f478  Yes (*)     /lib64/libfreebl3.so
0x00007fbe3dc69f80  0x00007fbe3dc6db18  Yes         /usr/lib64/strigi/strigiea_jpeg.so
0x0000003d3be5a0d0  0x0000003d3bf33f58  Yes         /usr/lib64/libexiv2.so.6.0.0
0x00007fbe3da649e0  0x00007fbe3da653c8  Yes         /usr/lib64/strigi/strigila_namespaceharvester.so
0x00007fbe3d861370  0x00007fbe3d861c48  Yes         /usr/lib64/strigi/strigita_ico.so
0x00007fbe3d65e3f0  0x00007fbe3d65eac8  Yes         /usr/lib64/strigi/strigita_gif.so
0x00007fbe3d45a5c0  0x00007fbe3d45bd18  Yes (*)     /usr/lib64/strigi/strigita_audible.so
0x00007fbe3d2574e0  0x00007fbe3d257e38  Yes         /usr/lib64/strigi/strigita_rgb.so
0x00007fbe3d0548e0  0x00007fbe3d054ac8  Yes         /usr/lib64/strigi/strigita_avi.so
0x00007fbe3ce525a0  0x00007fbe3ce52dc8  Yes         /usr/lib64/strigi/strigita_au.so
0x00007fbe3cc4c6a0  0x00007fbe3cc4f608  Yes (*)     /usr/lib64/strigi/strigiea_vcf.so
0x0000003db9e38510  0x0000003db9e7f678  Yes         /usr/lib64/libkfile.so.4.4.0
0x00007fbe3ca475e0  0x00007fbe3ca483a8  Yes         /usr/lib64/strigi/strigila_deb.so
0x00007fbe3c8443f0  0x00007fbe3c844ba8  Yes         /usr/lib64/strigi/strigila_xpm.so
0x00007fbe3c63e5c0  0x00007fbe3c641898  Yes (*)     /usr/lib64/strigi/strigita_mp4.so
0x00007fbe3c43a220  0x00007fbe3c43aae8  Yes         /usr/lib64/strigi/strigita_pcx.so
0x00007fbe3c237330  0x00007fbe3c237ae8  Yes (*)     /usr/lib64/strigi/strigiea_dvi.so
0x00007fbe3c033390  0x00007fbe3c034348  Yes (*)     /usr/lib64/strigi/strigiea_tiff.so
0x0000003d410077a0  0x0000003d410393f8  Yes (*)     /usr/lib64/libtiff.so.3
0x0000003d44c034a0  0x0000003d44c1d008  Yes         /usr/lib64/libjpeg.so.62.0.0
0x00007fbe37df8670  0x00007fbe37dfd648  Yes (*)     /usr/lib64/strigi/strigila_mobi.so
0x00007fbe37bf43f0  0x00007fbe37bf4cc8  Yes         /usr/lib64/strigi/strigita_xbm.so
0x00007fbe379f04d0  0x00007fbe379f1288  Yes         /usr/lib64/gconv/CP1252.so
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
rax            0x7fbe3833e580	140454963438976
rbx            0x7fbe38349250	140454963483216
rcx            0x7261207a6720726f	8241904503152996975
rdx            0x0	0
rsi            0x10008	65544
rdi            0x7fbe38349250	140454963483216
rbp            0x7fbe3f8c3f00	0x7fbe3f8c3f00
rsp            0x7fbe3f8c3bc0	0x7fbe3f8c3bc0
r8             0x2e676e6f72772065	3343762673286717541
r9             0x4	4
r10            0x7fbe3f8c3950	140455086668112
r11            0x3d34208da0	262867553696
r12            0x7fbe3f8c3c50	140455086668880
r13            0x7fbe38327dc0	140454963346880
r14            0x7fbe38097cd0	140454960659664
r15            0x7fbe38097cd0	140454960659664
rip            0x3d34208dc2	0x3d34208dc2 <inflateEnd+34>
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function inflateEnd:
   0x0000003d34208da0 <+0>:	test   %rdi,%rdi
   0x0000003d34208da3 <+3>:	push   %rbx
   0x0000003d34208da4 <+4>:	mov    %rdi,%rbx
   0x0000003d34208da7 <+7>:	jne    0x3d34208db0 <inflateEnd+16>
   0x0000003d34208da9 <+9>:	mov    $0xfffffffe,%eax
   0x0000003d34208dae <+14>:	pop    %rbx
   0x0000003d34208daf <+15>:	retq   
   0x0000003d34208db0 <+16>:	mov    0x38(%rdi),%rsi
   0x0000003d34208db4 <+20>:	test   %rsi,%rsi
   0x0000003d34208db7 <+23>:	je     0x3d34208da9 <inflateEnd+9>
   0x0000003d34208db9 <+25>:	mov    0x48(%rdi),%rax
   0x0000003d34208dbd <+29>:	test   %rax,%rax
   0x0000003d34208dc0 <+32>:	je     0x3d34208da9 <inflateEnd+9>
=> 0x0000003d34208dc2 <+34>:	mov    0x40(%rsi),%rdx
   0x0000003d34208dc6 <+38>:	test   %rdx,%rdx
   0x0000003d34208dc9 <+41>:	je     0x3d34208ddc <inflateEnd+60>
   0x0000003d34208dcb <+43>:	mov    %rdx,%rsi
   0x0000003d34208dce <+46>:	mov    0x50(%rdi),%rdi
   0x0000003d34208dd2 <+50>:	callq  *%rax
   0x0000003d34208dd4 <+52>:	mov    0x48(%rbx),%rax
   0x0000003d34208dd8 <+56>:	mov    0x38(%rbx),%rsi
   0x0000003d34208ddc <+60>:	mov    0x50(%rbx),%rdi
   0x0000003d34208de0 <+64>:	callq  *%rax
   0x0000003d34208de2 <+66>:	movq   $0x0,0x38(%rbx)
   0x0000003d34208dea <+74>:	xor    %eax,%eax
   0x0000003d34208dec <+76>:	pop    %rbx
   0x0000003d34208ded <+77>:	retq   
End of assembler dump.
Debuginfo absent: 0067710a849f8904e560c5f2a76ef119525e4c9c
Debuginfo absent: 06d8d77becfb4505090aa9cd5b84d09510f8512a
Debuginfo absent: 0e84db370f56dd8e3f3fea4f6c8d362650b1d9c2
Debuginfo absent: 12714c041680c11d8d9fa4680282108272886bf7
Debuginfo absent: 18348684e03e1e86a1abfc97d2c7d617fbd735c7
Debuginfo absent: 323528e5bf8f4f7b001f4160a11628598857fc63
Debuginfo absent: 38f63b34a9903961783c898f1ec03776f67e8353
Debuginfo absent: 3ae2f8cdb5f78e69e542c2e6e338ce4bfc522e9c
Debuginfo absent: 40eea834d3dc566d35fbb07f7976d0caa2023e80
Debuginfo absent: 4592bc1e8ba0fde2b715d9dedbe94e218eba09de
Debuginfo absent: 4fb3c3b0cea726d31115af89692ef5ffeff87bdd
Debuginfo absent: 55b54bbb9524532ce3c5adf4aef765099aba572c
Debuginfo absent: 5914b54a85b217e8e89e88537939395a650a8a7e
Debuginfo absent: 5ffe417aae3a0b091320dabbbd1ff7acf96305ab
Debuginfo absent: 67cfb4058dddbfbcf557e5ae1591d74bbc7361f2
Debuginfo absent: 7372ede281e0c42acfc0ab79560e0d4cb70bf833
Debuginfo absent: 75b4cd374df12207b5b79ddaf85f2f5f9d72dfa0
Debuginfo absent: 77b2df61a7d7555f585b8b3c2afa03f47e910942
Debuginfo absent: 79982147006b82de95171f47415712785e30e177
Debuginfo absent: 7c74c466cac7f7f981a3240e1ab0586a79f0d0f0
Debuginfo absent: 9512d99234d810775271516bc4cac47669bb9bb5
Debuginfo absent: a1e35322054d29b7649d07c47fe36c656dfb21d5
Debuginfo absent: abf2eca6e9a33dacd464e7d003b3a4db8e1bb6de
Debuginfo absent: ae5f37057eba97f7ed4f95f373b8060ff0bee9be
Debuginfo absent: c58109a52e802f4b9bc74406e8529dffc4ee883b
Debuginfo absent: c667e5b1e1e658a0f8e89171046940643f56d209
Debuginfo absent: c9f221cb702f6cc1b360993b09ffca026ca6aaa9
Debuginfo absent: cc0e21b01e97d9aecabf2d9b05396e2084548c89
Debuginfo absent: cc5b7ee3ca5b8328afae32274172c0a22e966198
Debuginfo absent: d28cd65ed7e36cdfb990bf1acfa4057224a73d10
Debuginfo absent: d7b0d204688f126578d00fc42dc97e7c54bd9f79
Debuginfo absent: ee12422d980638fd974f0d669601b2f80ca89bfd
Debuginfo absent: fce5a24ad7b3e8b805fc596878c01a6398375ef9
Comment 4 moabi2000 2010-04-23 05:04:19 EDT
Apologies, my test user account wasn't entirely clean as I had used it to build some rpms. It appears that each crash occurs when indexing an rpm file. I have updated title to be more informative.

Updated how to reproduce:

How to reproduce
-----
1.Create a new user.
2. Log in to KDE.
3. Download an rpm file and save it in one of the folders marked for indexing. (it seems any rpm file will do, ones that have caused this crash on my computer are supertuxkart (F13 version), xorg-x11-drv-nvidia
, xorg-x11-drv-nvidia-libs)
4. Make sure nepomuk is enabled and activate strigi indexing. Crash will occur when rpm file is indexed.
Comment 5 moabi2000 2010-04-23 05:39:22 EDT
Ok, so I get a crash even having removed all the rpm files. It is linked to QIOdevice though, not inflateEnd. Should I file this as a separate bug?

warning: core file may not match specified executable file.
[New Thread 18467]
[New Thread 18327]
[New Thread 18384]
Core was generated by `/usr/bin/nepomukservicestub nepomukstrigiservice'.
Program terminated with signal 11, Segmentation fault.
#0  d_func (this=0x0, data=0x7fee353ab64c "\026", maxSize=2)
    at ../../src/corelib/io/qiodevice.h:168
168	    Q_DECLARE_PRIVATE(QIODevice)

Thread 3 (Thread 18384):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
No locals.
#1  0x0000003241a717f2 in wait (this=<value optimized out>, 
    mutex=0x7fee2cd3ad40, time=120000) at thread/qwaitcondition_unix.cpp:85
        tv = {tv_sec = 1272014611, tv_usec = 35723}
        ti = {tv_sec = 1272014731, tv_nsec = 35723000}
        code = <value optimized out>
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7fee2cd3ad40, 
    time=120000) at thread/qwaitcondition_unix.cpp:159
        returnValue = 120
#3  0x00007fee36fe3123 in FileSystemWatcher::Private::run (this=0xbbee80)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/filesystemwatcher.cpp:146
        mutex = {d = 0x7fee28205580}
        __PRETTY_FUNCTION__ = "virtual void FileSystemWatcher::Private::run()"
#4  0x0000003241a70995 in QThreadPrivate::start (arg=0xbbee80)
    at thread/qthread_unix.cpp:248
        thr = 0xbbee80
        data = 0xba5cb0
#5  0x0000003237e07951 in start_thread (arg=0x7fee2cd3b710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fee2cd3b710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140660931016464, 
                2394663250099624602, 140734457315808, 140660931017168, 0, 3, 
                -2384704181461132646, 2404889529886366362}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#6  0x0000003236ee4d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 18327):
#0  0x0000003236edb623 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 1
        _a3 = -1
        _a1 = 140734457315408
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 140734457315408
        _a2 = 1
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x000000323a20885a in ?? () from /usr/lib64/libxcb.so.1
No symbol table info available.
#2  0x000000323a20a1ec in xcb_wait_for_reply () from /usr/lib64/libxcb.so.1
No symbol table info available.
#3  0x0000003239a4d5f3 in _XReply (dpy=0xa4aad0, rep=0x7fff4b5601b0, extra=0, 
    discard=1) at xcb_io.c:461
        error = <value optimized out>
        c = 0xa51110
        reply = <value optimized out>
        current = 0xd8ae90
        __PRETTY_FUNCTION__ = "_XReply"
#4  0x0000003239a3ad60 in XQueryPointer (dpy=0xa4aad0, w=346, 
    root=0x7fff4b560260, child=0x7fff4b560258, root_x=0x7fff4b56027c, 
    root_y=0x7fff4b560278, win_x=0x7fff4b560274, win_y=0x7fff4b560270, 
    mask=0x7fff4b56026c) at QuPntr.c:50
        rep = {type = 208 '\320', sameScreen = 82 'R', sequenceNumber = 186, 
          length = 0, root = 1029845031, child = 50, rootX = -22128, 
          rootY = 198, winX = 0, winY = 0, mask = 276, pad1 = 16384, pad = 0}
        req = <value optimized out>
#5  0x000000324582ca0d in QCursor::pos () at kernel/qcursor_x11.cpp:155
        i = <value optimized out>
        root = 2
        root_y = <value optimized out>
        win_x = 0
        buttons = 0
        dpy = 0xa4aad0
        child = 11578848
        root_x = <value optimized out>
        win_y = 12663680
#6  0x00007fee36fe338d in Nepomuk::UserActivityMonitor::checkUserActivity (
    this=0xe0ab50)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/useractivitymonitor.cpp:49
        cursorPos = <value optimized out>
#7  0x00007fee36fe34a4 in Nepomuk::UserActivityMonitor::qt_metacall (
    this=0xe0ab50, _c=QMetaObject::InvokeMetaMethod, 
    _id=<value optimized out>, _a=0x7fff4b5603a0)
    at /usr/src/debug/kdebase-runtime-4.4.2/x86_64-redhat-linux-gnu/nepomuk/services/strigi/useractivitymonitor.moc:79
No locals.
#8  0x0000003241b6a81f in QMetaObject::activate (sender=0xe0ab80, 
    m=<value optimized out>, local_signal_index=<value optimized out>, 
    argv=0x0) at kernel/qobject.cpp:3293
        receiver = 0xe0ab50
        method = 6
        currentSender = {sender = 0xe0ab80, signal = 4, ref = 1}
        previousSender = 0x0
        c = 0xe0a430
        last = 0xe0a430
        methodOffset = <value optimized out>
        signal_absolute_index = 4
        empty_argv = {0x0}
        locker = {{mtx = 0xacde90, val = 11329168}}
        currentThreadData = 0xa2f850
        connectionLists = 0xe092e0
        signalOffset = <value optimized out>
        signal_index = 2
#9  0x0000003241b66a2e in QObject::event (this=0xe0ab80, e=0x7fff4b560aa0)
    at kernel/qobject.cpp:1212
No locals.
#10 0x00000032457aaa0c in QApplicationPrivate::notify_helper (this=0xa454d0, 
    receiver=0xe0ab80, e=0x7fff4b560aa0) at kernel/qapplication.cpp:4300
        consumed = <value optimized out>
#11 0x00000032457b09db in QApplication::notify (this=<value optimized out>, 
    receiver=0xe0ab80, e=0x7fff4b560aa0) at kernel/qapplication.cpp:4183
        d = 0xa454d0
        res = false
#12 0x0000003241b57cdc in QCoreApplication::notifyInternal (this=
    0x7fff4b560f60, receiver=0xe0ab80, event=0x7fff4b560aa0)
    at kernel/qcoreapplication.cpp:704
        threadData = 0xa2f850
        returnValue = <value optimized out>
        result = false
        cbdata = {0xe0ab80, 0x7fff4b560aa0, 0x7fff4b560a3f}
        d = <value optimized out>
#13 0x0000003241b804a2 in sendEvent (this=0xa491e0)
    at kernel/qcoreapplication.h:215
No locals.
#14 QTimerInfoList::activateTimers (this=0xa491e0)
    at kernel/qeventdispatcher_unix.cpp:603
        e = {<QEvent> = {_vptr.QEvent = 0x3241e60530, 
            static staticMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x3241c06020 "QEvent", data = 0x3241c06a20, 
                extradata = 0x0}}, d = 0x0, t = 1, posted = 0, spont = 0, 
            m_accept = 1, reserved = 0}, id = 67108869}
        firstTime = false
        n_act = 1
        saveFirstTimerInfo = 0x0
        currentTime = {tv_sec = 59275, tv_usec = 918815}
        maxCount = <value optimized out>
        saveCurrentTimerInfo = 0x0
#15 0x0000003241b7d938 in timerSourceDispatch (source=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:184
        timerSource = <value optimized out>
#16 idleTimerSourceDispatch (source=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:231
        timerSource = <value optimized out>
#17 0x000000323963bd02 in g_main_dispatch (context=0xa48120) at gmain.c:1960
        dispatch = <value optimized out>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = <value optimized out>
        current_source_link = {data = 0xa49240, next = 0x0}
        need_destroy = <value optimized out>
        source = 0xa49240
        current = 0xa472b0
        i = <value optimized out>
#18 IA__g_main_context_dispatch (context=0xa48120) at gmain.c:2513
No locals.
#19 0x000000323963fae8 in g_main_context_iterate (context=0xa48120, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2591
        max_priority = 2147483647
        timeout = 7292
        some_ready = 1
        nfds = 8
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#20 0x000000323963fc9c in IA__g_main_context_iteration (context=0xa48120, 
    may_block=1) at gmain.c:2654
        retval = <value optimized out>
#21 0x0000003241b7d603 in QEventDispatcherGlib::processEvents (this=0xa2ef40, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
        d = 0xa45750
        canWait = <value optimized out>
        result = <value optimized out>
#22 0x00000032458499de in QGuiEventDispatcherGlib::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
        d = 0xa45750
        returnValue = 252
#23 0x0000003241b56722 in QEventLoop::processEvents (
    this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
        d = 0xaa1040
#24 0x0000003241b569ec in QEventLoop::exec (this=0x7fff4b560d40, flags=...)
    at kernel/qeventloop.cpp:201
        d = 0xaa1040
        app = 0x7fff4b560f60
#25 0x0000003241b58cd9 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:981
        threadData = 0xa2f850
        eventLoop = {<QObject> = {_vptr.QObject = 0x3241e62ed0, 
            static staticMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x3241bf40c0 "QObject", data = 0x3241bf4160, 
                extradata = 0x3241e5a740}}, d_ptr = {d = 0xaa1040}, 
            static staticQtMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x3241bfcd40 "Qt", data = 0x3241c00360, 
                extradata = 0x0}}}, static staticMetaObject = {d = {
              superdata = 0x605880, stringdata = 0x3241c05e20 "QEventLoop", 
              data = 0x3241c05e40, extradata = 0x0}}}
        returnCode = <value optimized out>
#26 0x00000000004037cc in main (argc=2, argv=0x7fff4b561348)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/servicestub/main.cpp:152
        aboutData = {d = 0xa30e60}
        app = {<QCoreApplication> = {<QObject> = {
              _vptr.QObject = 0x32461f48f0, static staticMetaObject = {d = {
                  superdata = 0x0, stringdata = 0x3241bf40c0 "QObject", 
                  data = 0x3241bf4160, extradata = 0x3241e5a740}}, d_ptr = {
                d = 0xa454d0}, static staticQtMetaObject = {d = {
                  superdata = 0x0, stringdata = 0x3241bfcd40 "Qt", 
                  data = 0x3241c00360, extradata = 0x0}}}, 
            static staticMetaObject = {d = {superdata = 0x605880, 
                stringdata = 0x3241c05ec0 "QCoreApplication", 
                data = 0x3241c05f60, extradata = 0x0}}, 
            static self = 0x7fff4b560f60}, static staticMetaObject = {d = {
              superdata = 0x3241e62f60, 
              stringdata = 0x3245deb040 "QApplication", data = 0x3245deb280, 
              extradata = 0x0}}}
        serviceName = {static null = {<No data fields>}, 
          static shared_null = {ref = {_q_value = 44941}, alloc = 0, 
            size = 0, data = 0x3241e64e3a, clean = 0, simpletext = 0, 
            righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, 
            array = {0}}, static shared_empty = {ref = {_q_value = 53}, 
            alloc = 0, size = 0, data = 0x3241e64e5a, clean = 0, 
            simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
            reserved = 0, array = {0}}, d = 0xab3d10, 
          static codecForCStrings = 0x0}
        compData = {_vptr.KComponentData = 0x3243863010, d = 0xa49370}
        dependencies = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x605980}, 
              d = 0x605980}}, <No data fields>}
        control = 0xa9fd30
        options = {d = 0xa31810}
        args = <value optimized out>
        s = {_vptr.QTextStream = 0x3241e5f530, d_ptr = {d = 0xab6880}}
        services = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0xac9d40}, d = 0xac9d40}}
        service = {d = 0xac9630}

Thread 1 (Thread 18467):
#0  d_func (this=0x0, data=0x7fee353ab64c "\026", maxSize=2)
    at ../../src/corelib/io/qiodevice.h:168
No locals.
#1  QIODevice::write (this=0x0, data=0x7fee353ab64c "\026", maxSize=2)
    at io/qiodevice.cpp:1264
        d = <value optimized out>
        written = <value optimized out>
#2  0x0000003254e0eb41 in Soprano::DataStream::writeUnsignedInt16 (
    this=0x7fee353ab680, v=22)
    at /usr/src/debug/soprano-2.4.1/server/datastream.cpp:95
No locals.
#3  0x0000003254e12adb in Soprano::Client::ClientConnection::iteratorClose (
    this=0xb91280, id=4096)
    at /usr/src/debug/soprano-2.4.1/client/clientconnection.cpp:641
        stream = {<Soprano::Error::ErrorCache> = {
            _vptr.ErrorCache = 0x3255044070, d = 0x7fee30484900}, 
          m_device = 0x0}
        error = {_vptr.Error = 0x7fee353abc50, d = {d = 0xb88d10}}
#4  0x0000003254e14c30 in Soprano::Client::ClientModel::~ClientModel (
    this=0xb72d40, __in_chrg=<value optimized out>)
    at /usr/src/debug/soprano-2.4.1/client/clientmodel.cpp:46
        i = <value optimized out>
#5  0x0000003254e14cb9 in Soprano::Client::ClientModel::~ClientModel (
    this=0xb72d40, __in_chrg=<value optimized out>)
    at /usr/src/debug/soprano-2.4.1/client/clientmodel.cpp:48
No locals.
#6  0x0000003255e391bf in (anonymous namespace)::GlobalModelContainer::init (
    this=0xb877c1, forced=<value optimized out>)
    at /usr/src/debug/kdelibs-4.4.2/nepomuk/core/nepomukmainmodel.cpp:97
        socketName = {static null = {<No data fields>}, static shared_null = {warning: core file may not match specified executable file.
[New Thread 18467]
[New Thread 18327]
[New Thread 18384]
Core was generated by `/usr/bin/nepomukservicestub nepomukstrigiservice'.
Program terminated with signal 11, Segmentation fault.
#0  d_func (this=0x0, data=0x7fee353ab64c "\026", maxSize=2)
    at ../../src/corelib/io/qiodevice.h:168
168	    Q_DECLARE_PRIVATE(QIODevice)

Thread 3 (Thread 18384):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
No locals.
#1  0x0000003241a717f2 in wait (this=<value optimized out>, 
    mutex=0x7fee2cd3ad40, time=120000) at thread/qwaitcondition_unix.cpp:85
        tv = {tv_sec = 1272014611, tv_usec = 35723}
        ti = {tv_sec = 1272014731, tv_nsec = 35723000}
        code = <value optimized out>
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7fee2cd3ad40, 
    time=120000) at thread/qwaitcondition_unix.cpp:159
        returnValue = 120
#3  0x00007fee36fe3123 in FileSystemWatcher::Private::run (this=0xbbee80)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/filesystemwatcher.cpp:146
        mutex = {d = 0x7fee28205580}
        __PRETTY_FUNCTION__ = "virtual void FileSystemWatcher::Private::run()"
#4  0x0000003241a70995 in QThreadPrivate::start (arg=0xbbee80)
    at thread/qthread_unix.cpp:248
        thr = 0xbbee80
        data = 0xba5cb0
#5  0x0000003237e07951 in start_thread (arg=0x7fee2cd3b710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fee2cd3b710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140660931016464, 
                2394663250099624602, 140734457315808, 140660931017168, 0, 3, 
                -2384704181461132646, 2404889529886366362}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#6  0x0000003236ee4d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 18327):
#0  0x0000003236edb623 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 1
        _a3 = -1
        _a1 = 140734457315408
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 140734457315408
        _a2 = 1
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x000000323a20885a in ?? () from /usr/lib64/libxcb.so.1
No symbol table info available.
#2  0x000000323a20a1ec in xcb_wait_for_reply () from /usr/lib64/libxcb.so.1
No symbol table info available.
#3  0x0000003239a4d5f3 in _XReply (dpy=0xa4aad0, rep=0x7fff4b5601b0, extra=0, 
    discard=1) at xcb_io.c:461
        error = <value optimized out>
        c = 0xa51110
        reply = <value optimized out>
        current = 0xd8ae90
        __PRETTY_FUNCTION__ = "_XReply"
#4  0x0000003239a3ad60 in XQueryPointer (dpy=0xa4aad0, w=346, 
    root=0x7fff4b560260, child=0x7fff4b560258, root_x=0x7fff4b56027c, 
    root_y=0x7fff4b560278, win_x=0x7fff4b560274, win_y=0x7fff4b560270, 
    mask=0x7fff4b56026c) at QuPntr.c:50
        rep = {type = 208 '\320', sameScreen = 82 'R', sequenceNumber = 186, 
          length = 0, root = 1029845031, child = 50, rootX = -22128, 
          rootY = 198, winX = 0, winY = 0, mask = 276, pad1 = 16384, pad = 0}
        req = <value optimized out>
#5  0x000000324582ca0d in QCursor::pos () at kernel/qcursor_x11.cpp:155
        i = <value optimized out>
        root = 2
        root_y = <value optimized out>
        win_x = 0
        buttons = 0
        dpy = 0xa4aad0
        child = 11578848
        root_x = <value optimized out>
        win_y = 12663680
#6  0x00007fee36fe338d in Nepomuk::UserActivityMonitor::checkUserActivity (
    this=0xe0ab50)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/useractivitymonitor.cpp:49
        cursorPos = <value optimized out>
#7  0x00007fee36fe34a4 in Nepomuk::UserActivityMonitor::qt_metacall (
    this=0xe0ab50, _c=QMetaObject::InvokeMetaMethod, 
    _id=<value optimized out>, _a=0x7fff4b5603a0)
    at /usr/src/debug/kdebase-runtime-4.4.2/x86_64-redhat-linux-gnu/nepomuk/services/strigi/useractivitymonitor.moc:79
No locals.
#8  0x0000003241b6a81f in QMetaObject::activate (sender=0xe0ab80, 
    m=<value optimized out>, local_signal_index=<value optimized out>, 
    argv=0x0) at kernel/qobject.cpp:3293
        receiver = 0xe0ab50
        method = 6
        currentSender = {sender = 0xe0ab80, signal = 4, ref = 1}
        previousSender = 0x0
        c = 0xe0a430
        last = 0xe0a430
        methodOffset = <value optimized out>
        signal_absolute_index = 4
        empty_argv = {0x0}
        locker = {{mtx = 0xacde90, val = 11329168}}
        currentThreadData = 0xa2f850
        connectionLists = 0xe092e0
        signalOffset = <value optimized out>
        signal_index = 2
#9  0x0000003241b66a2e in QObject::event (this=0xe0ab80, e=0x7fff4b560aa0)
    at kernel/qobject.cpp:1212
No locals.
#10 0x00000032457aaa0c in QApplicationPrivate::notify_helper (this=0xa454d0, 
    receiver=0xe0ab80, e=0x7fff4b560aa0) at kernel/qapplication.cpp:4300
        consumed = <value optimized out>
#11 0x00000032457b09db in QApplication::notify (this=<value optimized out>, 
    receiver=0xe0ab80, e=0x7fff4b560aa0) at kernel/qapplication.cpp:4183
        d = 0xa454d0
        res = false
#12 0x0000003241b57cdc in QCoreApplication::notifyInternal (this=
    0x7fff4b560f60, receiver=0xe0ab80, event=0x7fff4b560aa0)
    at kernel/qcoreapplication.cpp:704
        threadData = 0xa2f850
        returnValue = <value optimized out>
        result = false
        cbdata = {0xe0ab80, 0x7fff4b560aa0, 0x7fff4b560a3f}
        d = <value optimized out>
#13 0x0000003241b804a2 in sendEvent (this=0xa491e0)
    at kernel/qcoreapplication.h:215
No locals.
#14 QTimerInfoList::activateTimers (this=0xa491e0)
    at kernel/qeventdispatcher_unix.cpp:603
        e = {<QEvent> = {_vptr.QEvent = 0x3241e60530, 
            static staticMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x3241c06020 "QEvent", data = 0x3241c06a20, 
                extradata = 0x0}}, d = 0x0, t = 1, posted = 0, spont = 0, 
            m_accept = 1, reserved = 0}, id = 67108869}
        firstTime = false
        n_act = 1
        saveFirstTimerInfo = 0x0
        currentTime = {tv_sec = 59275, tv_usec = 918815}
        maxCount = <value optimized out>
        saveCurrentTimerInfo = 0x0
#15 0x0000003241b7d938 in timerSourceDispatch (source=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:184
        timerSource = <value optimized out>
#16 idleTimerSourceDispatch (source=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:231
        timerSource = <value optimized out>
#17 0x000000323963bd02 in g_main_dispatch (context=0xa48120) at gmain.c:1960
        dispatch = <value optimized out>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = <value optimized out>
        current_source_link = {data = 0xa49240, next = 0x0}
        need_destroy = <value optimized out>
        source = 0xa49240
        current = 0xa472b0
        i = <value optimized out>
#18 IA__g_main_context_dispatch (context=0xa48120) at gmain.c:2513
No locals.
#19 0x000000323963fae8 in g_main_context_iterate (context=0xa48120, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2591
        max_priority = 2147483647
        timeout = 7292
        some_ready = 1
        nfds = 8
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#20 0x000000323963fc9c in IA__g_main_context_iteration (context=0xa48120, 
    may_block=1) at gmain.c:2654
        retval = <value optimized out>
#21 0x0000003241b7d603 in QEventDispatcherGlib::processEvents (this=0xa2ef40, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
        d = 0xa45750
        canWait = <value optimized out>
        result = <value optimized out>
#22 0x00000032458499de in QGuiEventDispatcherGlib::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
        d = 0xa45750
        returnValue = 252
#23 0x0000003241b56722 in QEventLoop::processEvents (
    this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
        d = 0xaa1040
#24 0x0000003241b569ec in QEventLoop::exec (this=0x7fff4b560d40, flags=...)
    at kernel/qeventloop.cpp:201
        d = 0xaa1040
        app = 0x7fff4b560f60
#25 0x0000003241b58cd9 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:981
        threadData = 0xa2f850
        eventLoop = {<QObject> = {_vptr.QObject = 0x3241e62ed0, 
            static staticMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x3241bf40c0 "QObject", data = 0x3241bf4160, 
                extradata = 0x3241e5a740}}, d_ptr = {d = 0xaa1040}, 
            static staticQtMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x3241bfcd40 "Qt", data = 0x3241c00360, 
                extradata = 0x0}}}, static staticMetaObject = {d = {
              superdata = 0x605880, stringdata = 0x3241c05e20 "QEventLoop", 
              data = 0x3241c05e40, extradata = 0x0}}}
        returnCode = <value optimized out>
#26 0x00000000004037cc in main (argc=2, argv=0x7fff4b561348)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/servicestub/main.cpp:152
        aboutData = {d = 0xa30e60}
        app = {<QCoreApplication> = {<QObject> = {
              _vptr.QObject = 0x32461f48f0, static staticMetaObject = {d = {
                  superdata = 0x0, stringdata = 0x3241bf40c0 "QObject", 
                  data = 0x3241bf4160, extradata = 0x3241e5a740}}, d_ptr = {
                d = 0xa454d0}, static staticQtMetaObject = {d = {
                  superdata = 0x0, stringdata = 0x3241bfcd40 "Qt", 
                  data = 0x3241c00360, extradata = 0x0}}}, 
            static staticMetaObject = {d = {superdata = 0x605880, 
                stringdata = 0x3241c05ec0 "QCoreApplication", 
                data = 0x3241c05f60, extradata = 0x0}}, 
            static self = 0x7fff4b560f60}, static staticMetaObject = {d = {
              superdata = 0x3241e62f60, 
              stringdata = 0x3245deb040 "QApplication", data = 0x3245deb280, 
              extradata = 0x0}}}
        serviceName = {static null = {<No data fields>}, 
          static shared_null = {ref = {_q_value = 44941}, alloc = 0, 
            size = 0, data = 0x3241e64e3a, clean = 0, simpletext = 0, 
            righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, 
            array = {0}}, static shared_empty = {ref = {_q_value = 53}, 
            alloc = 0, size = 0, data = 0x3241e64e5a, clean = 0, 
            simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
            reserved = 0, array = {0}}, d = 0xab3d10, 
          static codecForCStrings = 0x0}
        compData = {_vptr.KComponentData = 0x3243863010, d = 0xa49370}
        dependencies = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x605980}, 
              d = 0x605980}}, <No data fields>}
        control = 0xa9fd30
        options = {d = 0xa31810}
        args = <value optimized out>
        s = {_vptr.QTextStream = 0x3241e5f530, d_ptr = {d = 0xab6880}}
        services = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0xac9d40}, d = 0xac9d40}}
        service = {d = 0xac9630}

Thread 1 (Thread 18467):
#0  d_func (this=0x0, data=0x7fee353ab64c "\026", maxSize=2)
    at ../../src/corelib/io/qiodevice.h:168
No locals.
#1  QIODevice::write (this=0x0, data=0x7fee353ab64c "\026", maxSize=2)
    at io/qiodevice.cpp:1264
        d = <value optimized out>
        written = <value optimized out>
#2  0x0000003254e0eb41 in Soprano::DataStream::writeUnsignedInt16 (
    this=0x7fee353ab680, v=22)
    at /usr/src/debug/soprano-2.4.1/server/datastream.cpp:95
No locals.
#3  0x0000003254e12adb in Soprano::Client::ClientConnection::iteratorClose (
    this=0xb91280, id=4096)
    at /usr/src/debug/soprano-2.4.1/client/clientconnection.cpp:641
        stream = {<Soprano::Error::ErrorCache> = {
            _vptr.ErrorCache = 0x3255044070, d = 0x7fee30484900}, 
          m_device = 0x0}
        error = {_vptr.Error = 0x7fee353abc50, d = {d = 0xb88d10}}
#4  0x0000003254e14c30 in Soprano::Client::ClientModel::~ClientModel (
    this=0xb72d40, __in_chrg=<value optimized out>)
    at /usr/src/debug/soprano-2.4.1/client/clientmodel.cpp:46
        i = <value optimized out>
#5  0x0000003254e14cb9 in Soprano::Client::ClientModel::~ClientModel (
    this=0xb72d40, __in_chrg=<value optimized out>)
    at /usr/src/debug/soprano-2.4.1/client/clientmodel.cpp:48
No locals.
            ref = {_q_value = 44941}, alloc = 0, size = 0, 
            data = 0x3241e64e3a, clean = 0, simpletext = 0, righttoleft = 0, 
            asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, 
          static shared_empty = {ref = {_q_value = 53}, alloc = 0, size = 0, 
            data = 0x3241e64e5a, clean = 0, simpletext = 0, righttoleft = 0, 
            asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, 
          d = 0xb72d40, static codecForCStrings = 0x0}
        lock = {{mtx = 0xb87831, val = 12089393}}
        __PRETTY_FUNCTION__ = "void<unnamed>::GlobalModelContainer::init(bool)"
#7  0x0000003255e3a2a2 in model (this=0xb88d10, query=..., 
    language=<value optimized out>, userQueryLanguage=<value optimized out>)
    at /usr/src/debug/kdelibs-4.4.2/nepomuk/core/nepomukmainmodel.cpp:112
        lock = {{mtx = 0x4b, val = 75}}
#8  Nepomuk::MainModel::executeQuery (this=0xb88d10, query=..., 
    language=<value optimized out>, userQueryLanguage=<value optimized out>)
    at /usr/src/debug/kdelibs-4.4.2/nepomuk/core/nepomukmainmodel.cpp:214
        it = 
    {<Soprano::Iterator<Soprano::BindingSet>> = {<Soprano::Error::ErrorCache> = {_vptr.ErrorCache = 0x324bcd44b0, d = 0x7fee3075dd70}, d = {
              d = 0x7fee304ef2c0}}, <No data fields>}
#9  0x000000324ba5a6bc in Soprano::FilterModel::executeQuery (this=0xb72370, 
    query=..., language=<value optimized out>, 
    userQueryLanguage=<value optimized out>)
    at /usr/src/debug/soprano-2.4.1/soprano/filtermodel.cpp:164
        it = {<Soprano::Iterator<Soprano::BindingSet>> = {<Soprano::Error::ErrorCache> = {_vptr.ErrorCache = 0x324bcd44b0, d = 0x7fee3075dd70}, d = {
              d = 0x7fee304ef2c0}}, <No data fields>}
#10 0x0000003255e2f575 in Nepomuk::ResourceData::determineUri (
    this=0x7fee3042ace0)
    at /usr/src/debug/kdelibs-4.4.2/nepomuk/core/resourcedata.cpp:671
        query = {static null = {<No data fields>}, static shared_null = {
            ref = {_q_value = 44941}, alloc = 0, size = 0, 
            data = 0x3241e64e3a, clean = 0, simpletext = 0, righttoleft = 0, 
            asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, 
          static shared_empty = {ref = {_q_value = 53}, alloc = 0, size = 0, 
            data = 0x3241e64e5a, clean = 0, simpletext = 0, righttoleft = 0, 
            asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, 
          d = 0x7fee3042a750, static codecForCStrings = 0x0}
        it = {<Soprano::Iterator<Soprano::BindingSet>> = {<Soprano::Error::ErrorCache> = {_vptr.ErrorCache = 0x324bcd44b0, d = 0x7fee3075dd70}, d = {
              d = 0x7fee304ef2c0}}, <No data fields>}
        model = 0xb72370
        lock = {{mtx = 0x7fee3042ad31, val = 140660988620081}}
#11 0x0000003255e49672 in Nepomuk::Resource::resourceUri (this=0x7fee353abe60)
    at /usr/src/debug/kdelibs-4.4.2/nepomuk/core/resource.cpp:169
No locals.
#12 0x00007fee3686ffbd in FileMetaData (this=0x7fee30024b60, 
    idx=0x7fee353ac510)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/strigibackend/nepomukindexwriter.cpp:180
No locals.
#13 Strigi::NepomukIndexWriter::startAnalysis (this=0x7fee30024b60, 
    idx=0x7fee353ac510)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/strigibackend/nepomukindexwriter.cpp:358
        data = <value optimized out>
#14 0x00007fee36fd8bc7 in Nepomuk::IndexScheduler::analyzeFile (
    this=0xb8a450, file=..., analyzer=0x7fee353add20)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:416
        filePath = {static null = {<No data fields>}, static shared_null = {
            ref = {_q_value = 44941}, alloc = 0, size = 0, 
            data = 0x3241e64e3a, clean = 0, simpletext = 0, righttoleft = 0, 
            asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, 
          static shared_empty = {ref = {_q_value = 53}, alloc = 0, size = 0, 
            data = 0x3241e64e5a, clean = 0, simpletext = 0, righttoleft = 0, 
            asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, 
          d = 0x7fee3069be20, static codecForCStrings = 0x0}
        dir = {static null = {<No data fields>}, static shared_null = {ref = {
              _q_value = 44941}, alloc = 0, size = 0, data = 0x3241e64e3a, 
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, 
            capacity = 0, reserved = 0, array = {0}}, static shared_empty = {
            ref = {_q_value = 53}, alloc = 0, size = 0, data = 0x3241e64e5a, 
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, 
            capacity = 0, reserved = 0, array = {0}}, d = 0x7fee304296e0, 
          static codecForCStrings = 0x0}
        analysisresult = {p = 0x7fee307809d0}
#15 0x00007fee36fd9cd2 in Nepomuk::IndexScheduler::updateDir (this=0xb8a450, 
    dir=<value optimized out>, analyzer=0x7fee353add20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:386
        file = @0x7fee3078eca8
        _container_ = {c = {{p = {static shared_null = {ref = {_q_value = 1}, 
                  alloc = 0, begin = 0, end = 0, sharable = 1, array = {
                    0x0}}, d = 0x7fee3078ea30}, d = 0x7fee3078ea30}}, 
          brk = 0, i = {i = 0x7fee3078eca8}, e = {i = 0x7fee3078ecb0}}
        dirInfo = {d_ptr = {d = 0x7fee307c4190}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x605980}, 
              d = 0x605980}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee307c2cb0}, 
              d = 0x7fee307c2cb0}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fee301b6da0}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3256086530, m_data = 0x7fee30698860, 
          d = 0x1353ac840}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x7fee3078ea30}, d = 0x7fee3078ea30}}
        dirIt = {_vptr.QDirIterator = 0x3241e5edd0, d = {d = 0x7fee30442750}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fee3016ccf0, e = 0x7fee3016ccf0}}
#16 0x00007fee36fda154 in Nepomuk::IndexScheduler::updateDir (this=0xb8a450, 
    dir=<value optimized out>, analyzer=0x7fee353add20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fee307618d0
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fee30761880}, 
                d = 0x7fee30761880}}, <No data fields>}, brk = 0, i = {
            i = 0x7fee307618d0}, e = {i = 0x7fee30761908}}
        dirInfo = {d_ptr = {d = 0x7fee3049f650}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee30761880}, 
              d = 0x7fee30761880}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee3049e450}, 
              d = 0x7fee3049e450}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fee302ba820}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3256086530, m_data = 0x7fee302b7d50, 
          d = 0x1353acb90}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x7fee3069f180}, d = 0x7fee3069f180}}
        dirIt = {_vptr.QDirIterator = 0x3241e5edd0, d = {d = 0x7fee30496a80}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fee302c4800, e = 0x7fee302c4800}}
#17 0x00007fee36fda154 in Nepomuk::IndexScheduler::updateDir (this=0xb8a450, 
    dir=<value optimized out>, analyzer=0x7fee353add20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fee303d7ef8
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fee303d7ee0}, 
                d = 0x7fee303d7ee0}}, <No data fields>}, brk = 0, i = {
            i = 0x7fee303d7ef8}, e = {i = 0x7fee303d7f00}}
        dirInfo = {d_ptr = {d = 0x7fee304575a0}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee303d7ee0}, 
              d = 0x7fee303d7ee0}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee30444760}, 
              d = 0x7fee30444760}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fee303d53b0}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3256086530, m_data = 0x7fee306a15b0, 
          d = 0x1353acee0}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x7fee302eb8b0}, d = 0x7fee302eb8b0}}
        dirIt = {_vptr.QDirIterator = 0x3241e5edd0, d = {d = 0x7fee303d7df0}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fee3073bc80, e = 0x7fee3073bc80}}
#18 0x00007fee36fda154 in Nepomuk::IndexScheduler::updateDir (this=0xb8a450, 
    dir=<value optimized out>, analyzer=0x7fee353add20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fee30739e80
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fee30739e30}, 
                d = 0x7fee30739e30}}, <No data fields>}, brk = 0, i = {
            i = 0x7fee30739e80}, e = {i = 0x7fee30739e90}}
        dirInfo = {d_ptr = {d = 0x7fee30652700}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee30739e30}, 
              d = 0x7fee30739e30}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee3074a240}, 
              d = 0x7fee3074a240}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fee306b5640}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3256086530, m_data = 0x7fee30626490, 
          d = 0x1353ad230}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x7fee306e1780}, d = 0x7fee306e1780}}
        dirIt = {_vptr.QDirIterator = 0x3241e5edd0, d = {d = 0x7fee306749b0}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fee306d08d0, e = 0x7fee306d08d0}}
#19 0x00007fee36fda154 in Nepomuk::IndexScheduler::updateDir (this=0xb8a450, 
    dir=<value optimized out>, analyzer=0x7fee353add20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fee306307d8
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fee306307a0}, 
                d = 0x7fee306307a0}}, <No data fields>}, brk = 0, i = {
            i = 0x7fee306307d8}, e = {i = 0x7fee30630850}}
        dirInfo = {d_ptr = {d = 0x7fee30607130}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee306307a0}, 
              d = 0x7fee306307a0}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee3061ccd0}, 
              d = 0x7fee3061ccd0}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fee3060ca60}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3256086530, m_data = 0x7fee305e94f0, 
          d = 0x1353ad580}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x7fee3062dc80}, d = 0x7fee3062dc80}}
        dirIt = {_vptr.QDirIterator = 0x3241e5edd0, d = {d = 0x7fee30616f80}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fee3061c5a0, e = 0x7fee3061c5a0}}
#20 0x00007fee36fda154 in Nepomuk::IndexScheduler::updateDir (this=0xb8a450, 
    dir=<value optimized out>, analyzer=0x7fee353add20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fee3057a360
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fee3057a340}, 
                d = 0x7fee3057a340}}, <No data fields>}, brk = 0, i = {
            i = 0x7fee3057a360}, e = {i = 0x7fee3057a408}}
        dirInfo = {d_ptr = {d = 0x7fee3014c360}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee3057a340}, 
              d = 0x7fee3057a340}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee30196700}, 
              d = 0x7fee30196700}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fee3020d680}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3256086530, m_data = 0x7fee30332570, 
          d = 0x1353ad8d0}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x7fee3057e090}, d = 0x7fee3057e090}}
        dirIt = {_vptr.QDirIterator = 0x3241e5edd0, d = {d = 0x7fee302767e0}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fee302c7fb0, e = 0x7fee302c7fb0}}
#21 0x00007fee36fda154 in Nepomuk::IndexScheduler::updateDir (this=0xb8a450, 
    dir=<value optimized out>, analyzer=0x7fee353add20, flags=...)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:393
        folder = @0x7fee30562840
        _container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
                    ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                    sharable = 1, array = {0x0}}, d = 0x7fee305627d0}, 
                d = 0x7fee305627d0}}, <No data fields>}, brk = 0, i = {
            i = 0x7fee30562840}, e = {i = 0x7fee30562878}}
        dirInfo = {d_ptr = {d = 0x7fee304a1be0}}
        subFolders = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee305627d0}, 
              d = 0x7fee305627d0}}, <No data fields>}
        filesToDelete = {<QList<QString>> = {{p = {static shared_null = {
                  ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, 
                  sharable = 1, array = {0x0}}, d = 0x7fee3006a4d0}, 
              d = 0x7fee3006a4d0}}, <No data fields>}
        dirUrl = {<QUrl> = {d = 0x7fee3006a420}, d = 0x0}
        dirRes = {_vptr.Resource = 0x3256086530, m_data = 0x7fee30076680, 
          d = 0x7fee30069cc0}
        filesToIndex = {{p = {static shared_null = {ref = {_q_value = 1}, 
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
              d = 0x7fee30332540}, d = 0x7fee30332540}}
        dirIt = {_vptr.QDirIterator = 0x3241e5edd0, d = {d = 0x7fee30332670}}
        __PRETTY_FUNCTION__ = "bool Nepomuk::IndexScheduler::updateDir(const QString&, Strigi::StreamAnalyzer*, QFlags<Nepomuk::IndexScheduler::UpdateDirFlag>)"
        recursive = true
        forceUpdate = false
        filesInStore = {{d = 0x7fee30052f00, e = 0x7fee30052f00}}
#22 0x00007fee36fdbfe5 in Nepomuk::IndexScheduler::run (this=0xb8a450)
    at /usr/src/debug/kdebase-runtime-4.4.2/nepomuk/services/strigi/indexscheduler.cpp:288
        dir = {first = {static null = {<No data fields>}, 
            static shared_null = {ref = {_q_value = 44941}, alloc = 0, 
              size = 0, data = 0x3241e64e3a, clean = 0, simpletext = 0, 
              righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, 
              array = {0}}, static shared_empty = {ref = {_q_value = 53}, 
              alloc = 0, size = 0, data = 0x3241e64e5a, clean = 0, 
              simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
              reserved = 0, array = {0}}, d = 0xbfb210, 
            static codecForCStrings = 0x0}, second = {i = 3}}
        analyzer = {p = 0x7fee3030dd80}
#23 0x0000003241a70995 in QThreadPrivate::start (arg=0xb8a450)
    at thread/qthread_unix.cpp:248
        thr = 0xb8a450
        data = 0xb570a0
#24 0x0000003237e07951 in start_thread (arg=0x7fee353ae710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fee353ae710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140661071996688, 
                2394663250099624602, 140734457315504, 140661071997392, 0, 3, 
                -2384682406513812838, 2404889529886366362}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#25 0x0000003236ee4d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.
From                To                  Syms Read   Shared Object Library
0x0000003241a57e10  0x0000003241badc28  Yes         /usr/lib64/libQtCore.so.4.6.2
0x0000003237e05690  0x0000003237e115d8  Yes         /lib64/libpthread-2.11.90.so
0x00000032428122e0  0x0000003242859538  Yes         /usr/lib64/libQtDBus.so.4.6.2
0x000000324348e3e0  0x00000032435f26a8  Yes         /usr/lib64/libkdecore.so.5.4.0
0x00000032481454d0  0x0000003248340fe8  Yes         /usr/lib64/libkdeui.so.5.4.0
0x0000003255e21710  0x0000003255e6c608  Yes         /usr/lib64/libnepomuk.so.4.4.0
0x000000324ba40360  0x000000324baa50f8  Yes         /usr/lib64/libsoprano.so.4.3.0
0x0000003246812a10  0x0000003246844208  Yes         /usr/lib64/libQtSvg.so.4.6.2
0x000000324579d580  0x0000003245de9928  Yes         /usr/lib64/libQtGui.so.4.6.2
0x0000003239256410  0x00000032392c2d06  Yes         /usr/lib64/libstdc++.so.6.0.13
0x0000003237203ef0  0x0000003237244008  Yes         /lib64/libm-2.11.90.so
0x0000003238e02910  0x0000003238e12e78  Yes         /lib64/libgcc_s-4.4.3-20100409.so.1
0x0000003236e1e9a0  0x0000003236f2f620  Yes         /lib64/libc-2.11.90.so
0x0000003237a01ef0  0x0000003237a0d228  Yes         /lib64/libz.so.1.2.3
0x0000003237600de0  0x0000003237601998  Yes         /lib64/libdl-2.11.90.so
0x000000323d201590  0x000000323d2029f8  Yes         /lib64/libgthread-2.0.so.0.2400.0
0x0000003238202190  0x00000032382057d8  Yes         /lib64/librt-2.11.90.so
0x00000032396155c0  0x0000003239699c98  Yes         /lib64/libglib-2.0.so.0.2400.0
0x0000003236a00af0  0x0000003236a198e4  Yes         /lib64/ld-2.11.90.so
0x0000003242c10300  0x0000003242c32e98  Yes         /usr/lib64/libQtXml.so.4.6.2
0x000000323d607090  0x000000323d62e4c8  Yes (*)     /lib64/libdbus-1.so.3
0x0000003243e2b2a0  0x0000003243ec12b8  Yes         /usr/lib64/libQtNetwork.so.4.6.2
0x000000323ee01630  0x000000323ee0dcc8  Yes (*)     /lib64/libbz2.so.1
0x00000032424025d0  0x00000032424169a8  Yes (*)     /usr/lib64/liblzma.so.0
0x0000003238a03910  0x0000003238a12468  Yes         /lib64/libresolv-2.11.90.so
0x000000323de019f0  0x000000323de062a8  Yes         /usr/lib64/libSM.so.6.0.0
0x000000323da04d70  0x000000323da13778  Yes         /usr/lib64/libICE.so.6.3.0
0x0000003239a1dd80  0x0000003239aab938  Yes         /usr/lib64/libX11.so.6.3.0
0x000000323fa03580  0x000000323fa0e768  Yes         /usr/lib64/libXext.so.6.4.0
0x0000003245204030  0x0000003245211008  Yes         /usr/lib64/libXft.so.2.1.13
0x0000003239e00dd0  0x0000003239e01b68  Yes         /usr/lib64/libXau.so.6.0.0
0x0000003243a02f60  0x0000003243a0ea48  Yes         /usr/lib64/libXpm.so.4.11.0
0x0000003244e013b0  0x0000003244e043b8  Yes         /usr/lib64/libXtst.so.6.1.0
0x0000003242002880  0x0000003242007678  Yes         /usr/lib64/libXcursor.so.1.0.2
0x0000003241201370  0x0000003241204178  Yes         /usr/lib64/libXfixes.so.3.1.0
0x00000032406018c0  0x0000003240607f58  Yes         /usr/lib64/libXrender.so.1.3.0
0x0000003254e0e8a0  0x0000003254e34bc8  Yes         /usr/lib64/libsopranoclient.so.1.2.0
0x000000323a604830  0x000000323a61e7a8  Yes         /usr/lib64/libpng12.so.0.43.0
0x000000323ea0c850  0x000000323ea745a8  Yes         /usr/lib64/libfreetype.so.6.3.22
0x000000323e208d20  0x000000323e232a88  Yes         /lib64/libgobject-2.0.so.0.2400.0
0x0000003240201eb0  0x000000324020c608  Yes         /usr/lib64/libXi.so.6.1.0
0x0000003240e01720  0x0000003240e06828  Yes         /usr/lib64/libXrandr.so.2.2.0
0x0000003240a00a20  0x0000003240a01508  Yes         /usr/lib64/libXinerama.so.1.0.0
0x000000323fe05c80  0x000000323fe1ff28  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x000000323ce14420  0x000000323ce45eb8  Yes (*)     /usr/lib64/libssl.so.10
0x000000323ae5c900  0x000000323af20cb8  Yes (*)     /usr/lib64/libcrypto.so.10
0x000000323c6014b0  0x000000323c602be8  Yes (*)     /lib64/libuuid.so.1
0x000000323a208650  0x000000323a213898  Yes (*)     /usr/lib64/libxcb.so.1
0x000000323ca03b70  0x000000323ca1ca08  Yes (*)     /lib64/libexpat.so.1
0x000000323ba06c00  0x000000323ba27268  Yes (*)     /lib64/libgssapi_krb5.so.2
0x000000323b218540  0x000000323b273f18  Yes (*)     /lib64/libkrb5.so.3
0x000000323aa01220  0x000000323aa01d08  Yes (*)     /lib64/libcom_err.so.2
0x000000323b6055c0  0x000000323b61e6b8  Yes (*)     /lib64/libk5crypto.so.3
0x000000323c2026c0  0x000000323c2067b8  Yes (*)     /lib64/libkrb5support.so.0
0x000000323be00aa0  0x000000323be00fa8  Yes (*)     /lib64/libkeyutils.so.1
0x0000003238605550  0x0000003238615038  Yes (*)     /lib64/libselinux.so.1
0x00007fee37ac35d0  0x00007fee37ac4ff8  Yes         /usr/lib64/gconv/UTF-16.so
0x00007fee3786a660  0x00007fee3786d458  Yes         /usr/lib64/kde4/plugins/gui_platform/libkde.so
0x000000324b4b0eb0  0x000000324b6254e8  Yes         /usr/lib64/libkio.so.5.4.0
0x000000324be17280  0x000000324be59718  Yes         /usr/lib64/libstreamanalyzer.so.0.7.2
0x000000324a00fff0  0x000000324a02d738  Yes         /usr/lib64/libstreams.so.0.7.2
0x000000324b027a10  0x000000324b06b228  Yes         /usr/lib64/libsolid.so.4.4.0
0x000000324c201770  0x000000324c205038  Yes (*)     /usr/lib64/libfam.so.0
0x0000003249c01d30  0x0000003249c05c08  Yes (*)     /lib64/libacl.so.1
0x0000003246c01350  0x0000003246c03448  Yes (*)     /lib64/libattr.so.1
0x000000323e62c950  0x000000323e709048  Yes         /usr/lib64/libxml2.so.2.7.7
0x00007fee3763a160  0x00007fee37642418  Yes         /lib64/libnss_files-2.11.90.so
0x00007fee373d4af0  0x00007fee374278f8  Yes         /usr/lib64/kde4/plugins/styles/oxygen.so
0x00007fee36fd5890  0x00007fee36fe7f28  Yes         /usr/lib64/kde4/nepomukstrigiservice.so
0x0000003246420fb0  0x0000003246449938  Yes         /usr/lib64/libkutils.so.4.4.0
0x000000324d41eca0  0x000000324d43ad58  Yes         /usr/lib64/libkparts.so.4.4.0
0x000000324e000be0  0x000000324e001c08  Yes         /usr/lib64/libXss.so.1.0.0
0x00007fee36db34f0  0x00007fee36dc2e48  Yes         /usr/lib64/strigi/strigiindex_clucene.so
0x00007fee36aed8d0  0x00007fee36b56ef8  Yes (*)     /usr/lib64/libclucene.so.0
0x00007fee3686e1d0  0x00007fee36877a78  Yes         /usr/lib64/strigi/strigiindex_nepomukbackend.so
0x00007fee347ab6b0  0x00007fee347ac338  Yes         /usr/lib64/strigi/strigita_sid.so
0x00007fee345a4010  0x00007fee345a7e78  Yes         /usr/lib64/strigi/strigita_font.so
0x000000323f205230  0x000000323f20f888  Yes         /usr/lib64/libkfontinst.so.4.4.0
0x00007fee3439f8e0  0x00007fee3439fac8  Yes         /usr/lib64/strigi/strigita_wav.so
0x00007fee3419c470  0x00007fee3419d758  Yes         /usr/lib64/strigi/strigita_dds.so
0x00007fee2fdfe400  0x00007fee2fdfeb98  Yes         /usr/lib64/strigi/strigila_txt.so
0x00007fee2fbfb530  0x00007fee2fbfc068  Yes         /usr/lib64/strigi/strigila_cpp.so
0x00007fee2f9f7360  0x00007fee2f9f8458  Yes (*)     /usr/lib64/strigi/strigiea_ics.so
0x000000324a449c40  0x000000324a4e98d8  Yes         /usr/lib64/libkcal.so.4.4.0
0x000000324742c510  0x000000324747ddb8  Yes         /usr/lib64/libkabc.so.4.4.0
0x0000003247c0d060  0x0000003247c1c358  Yes         /usr/lib64/libkresources.so.4.4.0
0x0000003249805140  0x0000003249810d58  Yes         /usr/lib64/libkpimutils.so.4.4.0
0x00000032490194f0  0x0000003249042668  Yes (*)     /usr/lib64/libical.so.0
0x0000003248c07730  0x0000003248c0f978  Yes (*)     /usr/lib64/libicalss.so.0
0x00000032470147a0  0x000000324702ef18  Yes         /usr/lib64/libkldap.so.4.4.0
0x0000003249425e50  0x0000003249455208  Yes         /usr/lib64/libkmime.so.4.4.0
0x000000324420d0b0  0x0000003244235de8  Yes (*)     /usr/lib64/libldap-2.4.so.2
0x0000003244a03400  0x0000003244a0a438  Yes (*)     /usr/lib64/liblber-2.4.so.2
0x00000032446046a0  0x0000003244614508  Yes (*)     /usr/lib64/libsasl2.so.2
0x00007fee2f7bec50  0x00007fee2f7c3c18  Yes         /lib64/libcrypt-2.11.90.so
0x000000323f6031a0  0x000000323f63f478  Yes (*)     /lib64/libfreebl3.so
0x00007fee2f5b7f80  0x00007fee2f5bbb18  Yes         /usr/lib64/strigi/strigiea_jpeg.so
0x00007fee2f23e0d0  0x00007fee2f317f58  Yes         /usr/lib64/libexiv2.so.6.0.0
0x00007fee2efe19e0  0x00007fee2efe23c8  Yes         /usr/lib64/strigi/strigila_namespaceharvester.so
0x00007fee2edde370  0x00007fee2eddec48  Yes         /usr/lib64/strigi/strigita_ico.so
0x00007fee2ebdb3f0  0x00007fee2ebdbac8  Yes         /usr/lib64/strigi/strigita_gif.so
0x00007fee2e9d75c0  0x00007fee2e9d8d18  Yes (*)     /usr/lib64/strigi/strigita_audible.so
0x00007fee2e7d44e0  0x00007fee2e7d4e38  Yes         /usr/lib64/strigi/strigita_rgb.so
0x00007fee2e5d18e0  0x00007fee2e5d1ac8  Yes         /usr/lib64/strigi/strigita_avi.so
0x00007fee2e3cf5a0  0x00007fee2e3cfdc8  Yes         /usr/lib64/strigi/strigita_au.so
0x00007fee2e1c96a0  0x00007fee2e1cc608  Yes (*)     /usr/lib64/strigi/strigiea_vcf.so
0x0000003250438510  0x000000325047f678  Yes         /usr/lib64/libkfile.so.4.4.0
0x00007fee2dfc45e0  0x00007fee2dfc53a8  Yes         /usr/lib64/strigi/strigila_deb.so
0x00007fee2ddc13f0  0x00007fee2ddc1ba8  Yes         /usr/lib64/strigi/strigila_xpm.so
0x00007fee2dbbb5c0  0x00007fee2dbbe898  Yes (*)     /usr/lib64/strigi/strigita_mp4.so
0x00007fee2d9b7220  0x00007fee2d9b7ae8  Yes         /usr/lib64/strigi/strigita_pcx.so
0x00007fee2d7b4330  0x00007fee2d7b4ae8  Yes (*)     /usr/lib64/strigi/strigiea_dvi.so
0x00007fee2d5b0390  0x00007fee2d5b1348  Yes (*)     /usr/lib64/strigi/strigiea_tiff.so
0x00007fee2d3537a0  0x00007fee2d3853f8  Yes (*)     /usr/lib64/libtiff.so.3
0x00000032488034a0  0x000000324881d008  Yes         /usr/lib64/libjpeg.so.62.0.0
0x00007fee2d144670  0x00007fee2d149648  Yes (*)     /usr/lib64/strigi/strigila_mobi.so
0x00007fee2cf403f0  0x00007fee2cf40cc8  Yes         /usr/lib64/strigi/strigita_xbm.so
0x00007fee2cd3c4d0  0x00007fee2cd3d288  Yes         /usr/lib64/gconv/CP1252.so
0x00007fee2c1384d0  0x00007fee2c139048  Yes         /usr/lib64/gconv/ISO8859-1.so
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
rax            0x3255044070	216174706800
rbx            0xb72d40	12004672
rcx            0x7fee30000001	140660984250369
rdx            0x2	2
rsi            0x7fee353ab64c	140661071984204
rdi            0x0	0
rbp            0x0	0x0
rsp            0x7fee353ab600	0x7fee353ab600
r8             0x0	0
r9             0x1	1
r10            0x1	1
r11            0x0	0
r12            0x1000	4096
r13            0x7fee353abc50	140661071985744
r14            0xb88d10	12094736
r15            0xb877c0	12089280
rip            0x3241af142b	0x3241af142b <QIODevice::write(char const*, qint64)+27>
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function QIODevice::write(char const*, qint64):
   0x0000003241af1410 <+0>:	mov    %rbp,-0x18(%rsp)
   0x0000003241af1415 <+5>:	mov    %r13,-0x8(%rsp)
   0x0000003241af141a <+10>:	mov    %rdi,%rbp
   0x0000003241af141d <+13>:	mov    %rbx,-0x20(%rsp)
   0x0000003241af1422 <+18>:	mov    %r12,-0x10(%rsp)
   0x0000003241af1427 <+23>:	sub    $0x38,%rsp
=> 0x0000003241af142b <+27>:	mov    0x8(%rdi),%rbx
   0x0000003241af142f <+31>:	mov    %rsi,%r13
   0x0000003241af1432 <+34>:	mov    0x90(%rbx),%eax
   0x0000003241af1438 <+40>:	test   $0x2,%al
   0x0000003241af143a <+42>:	je     0x3241af1588 <QIODevice::write(char const*, qint64)+376>
   0x0000003241af1440 <+48>:	test   %rdx,%rdx
   0x0000003241af1443 <+51>:	js     0x3241af1528 <QIODevice::write(char const*, qint64)+280>
   0x0000003241af1449 <+57>:	mov    0xd4(%rbx),%eax
   0x0000003241af144f <+63>:	test   %eax,%eax
   0x0000003241af1451 <+65>:	je     0x3241af14f0 <QIODevice::write(char const*, qint64)+224>
   0x0000003241af1457 <+71>:	cmp    $0x1,%eax
   0x0000003241af145a <+74>:	sete   %r12b
   0x0000003241af145e <+78>:	mov    0xc0(%rbx),%rsi
   0x0000003241af1465 <+85>:	cmp    0xc8(%rbx),%rsi
   0x0000003241af146c <+92>:	je     0x3241af1477 <QIODevice::write(char const*, qint64)+103>
   0x0000003241af146e <+94>:	test   %r12b,%r12b
   0x0000003241af1471 <+97>:	je     0x3241af1558 <QIODevice::write(char const*, qint64)+328>
   0x0000003241af1477 <+103>:	mov    0x0(%rbp),%rax
   0x0000003241af147b <+107>:	mov    %rbp,%rdi
   0x0000003241af147e <+110>:	mov    %r13,%rsi
   0x0000003241af1481 <+113>:	callq  *0xd8(%rax)
   0x0000003241af1487 <+119>:	test   %rax,%rax
   0x0000003241af148a <+122>:	mov    %rax,%rbp
   0x0000003241af148d <+125>:	jle    0x3241af14d0 <QIODevice::write(char const*, qint64)+192>
   0x0000003241af148f <+127>:	test   %r12b,%r12b
   0x0000003241af1492 <+130>:	jne    0x3241af14a2 <QIODevice::write(char const*, qint64)+146>
   0x0000003241af1494 <+132>:	add    %rbp,0xc0(%rbx)
   0x0000003241af149b <+139>:	add    %rbp,0xc8(%rbx)
   0x0000003241af14a2 <+146>:	mov    0xb0(%rbx),%r11d
   0x0000003241af14a9 <+153>:	test   %r11d,%r11d
   0x0000003241af14ac <+156>:	je     0x3241af1540 <QIODevice::write(char const*, qint64)+304>
   0x0000003241af14b2 <+162>:	test   %r12b,%r12b
   0x0000003241af14b5 <+165>:	jne    0x3241af14d0 <QIODevice::write(char const*, qint64)+192>
   0x0000003241af14b7 <+167>:	lea    0xa0(%rbx),%rdi
   0x0000003241af14be <+174>:	mov    %ebp,%edx
   0x0000003241af14c0 <+176>:	xor    %esi,%esi
   0x0000003241af14c2 <+178>:	callq  0x3241af71d0 <QRingBuffer::read(char*, int)>
   0x0000003241af14c7 <+183>:	nopw   0x0(%rax,%rax,1)
   0x0000003241af14d0 <+192>:	mov    %rbp,%rax
   0x0000003241af14d3 <+195>:	mov    0x18(%rsp),%rbx
   0x0000003241af14d8 <+200>:	mov    0x20(%rsp),%rbp
   0x0000003241af14dd <+205>:	mov    0x28(%rsp),%r12
   0x0000003241af14e2 <+210>:	mov    0x30(%rsp),%r13
   0x0000003241af14e7 <+215>:	add    $0x38,%rsp
   0x0000003241af14eb <+219>:	retq   
   0x0000003241af14ec <+220>:	nopl   0x0(%rax)
   0x0000003241af14f0 <+224>:	mov    0x8(%rbx),%rdi
   0x0000003241af14f4 <+228>:	mov    %rdx,0x8(%rsp)
   0x0000003241af14f9 <+233>:	mov    (%rdi),%rax
   0x0000003241af14fc <+236>:	callq  *0x60(%rax)
   0x0000003241af14ff <+239>:	cmp    $0x1,%al
   0x0000003241af1501 <+241>:	mov    0x8(%rsp),%rdx
   0x0000003241af1506 <+246>:	sbb    %r12d,%r12d
   0x0000003241af1509 <+249>:	add    $0x1,%r12d
   0x0000003241af150d <+253>:	cmp    $0x1,%al
   0x0000003241af150f <+255>:	sbb    %eax,%eax
   0x0000003241af1511 <+257>:	not    %eax
   0x0000003241af1513 <+259>:	add    $0x2,%eax
   0x0000003241af1516 <+262>:	mov    %eax,0xd4(%rbx)
   0x0000003241af151c <+268>:	jmpq   0x3241af145e <QIODevice::write(char const*, qint64)+78>
   0x0000003241af1521 <+273>:	nopl   0x0(%rax)
   0x0000003241af1528 <+280>:	lea    0xfa7a9(%rip),%rdi        # 0x3241bebcd8
   0x0000003241af152f <+287>:	xor    %eax,%eax
   0x0000003241af1531 <+289>:	mov    $0xffffffffffffffff,%rbp
   0x0000003241af1538 <+296>:	
    callq  0x3241a69ef0 <qWarning(char const*, ...)>
   0x0000003241af153d <+301>:	jmp    0x3241af14d0 <QIODevice::write(char const*, qint64)+192>
   0x0000003241af153f <+303>:	nop
   0x0000003241af1540 <+304>:	mov    0xac(%rbx),%r10d
   0x0000003241af1547 <+311>:	test   %r10d,%r10d
   0x0000003241af154a <+314>:	je     0x3241af14d0 <QIODevice::write(char const*, qint64)+192>
   0x0000003241af154c <+316>:	jmpq   0x3241af14b2 <QIODevice::write(char const*, qint64)+162>
   0x0000003241af1551 <+321>:	nopl   0x0(%rax)
   0x0000003241af1558 <+328>:	mov    0x0(%rbp),%rax
   0x0000003241af155c <+332>:	mov    %rdx,0x8(%rsp)
   0x0000003241af1561 <+337>:	mov    %rbp,%rdi
   0x0000003241af1564 <+340>:	callq  *0x88(%rax)
   0x0000003241af156a <+346>:	test   %al,%al
   0x0000003241af156c <+348>:	mov    0x8(%rsp),%rdx
   0x0000003241af1571 <+353>:	jne    0x3241af1477 <QIODevice::write(char const*, qint64)+103>
   0x0000003241af1577 <+359>:	mov    $0xffffffffffffffff,%rbp
   0x0000003241af157e <+366>:	jmpq   0x3241af14d0 <QIODevice::write(char const*, qint64)+192>
   0x0000003241af1583 <+371>:	nopl   0x0(%rax,%rax,1)
   0x0000003241af1588 <+376>:	test   %eax,%eax
   0x0000003241af158a <+378>:	je     0x3241af1577 <QIODevice::write(char const*, qint64)+359>
   0x0000003241af158c <+380>:	lea    0xfa71d(%rip),%rdi        # 0x3241bebcb0
   0x0000003241af1593 <+387>:	xor    %eax,%eax
   0x0000003241af1595 <+389>:	or     $0xffffffffffffffff,%rbp
   0x0000003241af1599 <+393>:	callq  0x3241a69ef0 <qWarning(char const*, ...)>
   0x0000003241af159e <+398>:	jmpq   0x3241af14d0 <QIODevice::write(char const*, qint64)+192>
End of assembler dump.
Debuginfo absent: 0067710a849f8904e560c5f2a76ef119525e4c9c
Debuginfo absent: 06d8d77becfb4505090aa9cd5b84d09510f8512a
Debuginfo absent: 0e84db370f56dd8e3f3fea4f6c8d362650b1d9c2
Debuginfo absent: 12714c041680c11d8d9fa4680282108272886bf7
Debuginfo absent: 18348684e03e1e86a1abfc97d2c7d617fbd735c7
Debuginfo absent: 323528e5bf8f4f7b001f4160a11628598857fc63
Debuginfo absent: 38f63b34a9903961783c898f1ec03776f67e8353
Debuginfo absent: 3ae2f8cdb5f78e69e542c2e6e338ce4bfc522e9c
Debuginfo absent: 40eea834d3dc566d35fbb07f7976d0caa2023e80
Debuginfo absent: 4592bc1e8ba0fde2b715d9dedbe94e218eba09de
Debuginfo absent: 4fb3c3b0cea726d31115af89692ef5ffeff87bdd
Debuginfo absent: 55b54bbb9524532ce3c5adf4aef765099aba572c
Debuginfo absent: 5914b54a85b217e8e89e88537939395a650a8a7e
Debuginfo absent: 5ffe417aae3a0b091320dabbbd1ff7acf96305ab
Debuginfo absent: 67cfb4058dddbfbcf557e5ae1591d74bbc7361f2
Debuginfo absent: 7372ede281e0c42acfc0ab79560e0d4cb70bf833
Debuginfo absent: 75b4cd374df12207b5b79ddaf85f2f5f9d72dfa0
Debuginfo absent: 77b2df61a7d7555f585b8b3c2afa03f47e910942
Debuginfo absent: 79982147006b82de95171f47415712785e30e177
Debuginfo absent: 7c74c466cac7f7f981a3240e1ab0586a79f0d0f0
Debuginfo absent: 9512d99234d810775271516bc4cac47669bb9bb5
Debuginfo absent: a1e35322054d29b7649d07c47fe36c656dfb21d5
Debuginfo absent: abf2eca6e9a33dacd464e7d003b3a4db8e1bb6de
Debuginfo absent: ae5f37057eba97f7ed4f95f373b8060ff0bee9be
Debuginfo absent: c58109a52e802f4b9bc74406e8529dffc4ee883b
Debuginfo absent: c667e5b1e1e658a0f8e89171046940643f56d209
Debuginfo absent: c9f221cb702f6cc1b360993b09ffca026ca6aaa9
Debuginfo absent: cc0e21b01e97d9aecabf2d9b05396e2084548c89
Debuginfo absent: cc5b7ee3ca5b8328afae32274172c0a22e966198
Debuginfo absent: d28cd65ed7e36cdfb990bf1acfa4057224a73d10
Debuginfo absent: d7b0d204688f126578d00fc42dc97e7c54bd9f79
Debuginfo absent: ee12422d980638fd974f0d669601b2f80ca89bfd
Debuginfo absent: fce5a24ad7b3e8b805fc596878c01a6398375ef9
Comment 6 Kevin Kofler 2010-04-23 13:51:43 EDT
> Should I file this as a separate bug?

Yes, this looks like a different bug and should be filed separately.
Comment 7 Karel Klíč 2010-05-25 06:16:31 EDT
*** Bug 579281 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-05-25 06:16:36 EDT
*** Bug 582040 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-05-25 06:16:40 EDT
*** Bug 582041 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-05-25 06:16:44 EDT
*** Bug 583393 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-05-25 06:16:48 EDT
*** Bug 585187 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-05-25 06:16:53 EDT
*** Bug 587497 has been marked as a duplicate of this bug. ***
Comment 13 Steven M. Parrish 2010-06-04 21:07:47 EDT
This is a issue which needs to be reported upstream.  Please file a report at
http://bugs.kde.org  

Please add upstream report info to this report.  We will monitor the upstream
report for a resolution.

Thanks for the report



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Steven M. Parrish 2010-06-21 20:16:54 EDT
KDE Version 4.4.4 is now available.  Please update to the this latest release and retest the application.  Please advise if you are still having the same issue as documented.  Any reports not updated within 30 days will be closed.

Thanks from the Fedora KDE Team
Comment 15 moabi2000 2010-06-22 03:24:55 EDT
This was fixed upstream. It works in 4.5 beta 2. No idea about 4.4.4
Comment 16 moabi2000 2010-06-22 03:26:30 EDT
Whoops that comment went on the wrong bug sorry.

This nepomukservicestub bug PERISTS in kde 4.5 beta 2.
Comment 17 moabi2000 2010-06-22 03:34:47 EDT
Sorry that comment went to the wrong bug.

This nepomuk one persists in 4.4.85

https://bugs.kde.org/show_bug.cgi?id=239842
Comment 18 moabi2000 2010-06-22 03:34:47 EDT
Whoops sorry, that comment went on the wrong bug.

This bug *persists* in 4.5 beta 2.

The upstream report is here:

https://bugs.kde.org/show_bug.cgi?id=239842

Some missing debuginfo in the build is hampering providing a complete backtrace to the developers so they can solve it - I have all relevant debuginfo's installed, but I guess there is something missing from the build.
Comment 19 Radek Novacek 2010-07-16 04:15:18 EDT

*** This bug has been marked as a duplicate of bug 609541 ***

Note You need to log in before you can comment on or make changes to this bug.